
#include "OLED_resources.h"

uint8_t OLED_Init();
uint8_t OLED_setCmdFunctions();
uint8_t OLED_setRemap();

uint8_t OLED_DrawBox ( uint16_t xCrd, uint16_t yCrd, uint16_t width, uint16_t height);
uint8_t OLED_FillScreen( uint16_t color );
uint8_t OLED_DrawPixel ( int16_t xCrd, int16_t yCrd, uint16_t color );
uint8_t OLED_AddText( const uint8_t* text );
uint8_t OLED_DrawImage (const uint8_t* image, uint8_t xCrd, uint8_t yCrd);

uint8_t OLED_GetTextWidth(const uint8_t* text);
uint8_t OLED_CharCount(uint8_t width, const uint8_t* font, const uint8_t* text, uint8_t length);

void OLED_SetFont(const uint8_t *activeFont, uint16_t font_color, uint8_t font_orientation);
void OLED_WriteText(uint8_t *text, uint16_t x, uint16_t y);
void OLED_GetImageDimensions(uint8_t *width, uint8_t *height, const uint8_t* image);