/*
 * BarGraph click - MIKROBUS 1
 * ProxFusion Click - MIKROBUS 2
 * 8x8 G Click - MIKROBUS 3
 * EnOcean 2 Click - MIKROBUS 4
 * SD Card (FORMAT FAT / FAT 16) - with list music
 * SWITCH ( SW2 - MicroSD, SW5 - ON-BOARD MP3, SW4 - SPEAKERS )
 *
 */

#include "API_Driver.h"

void aplicationInit()
{
    api_gpioInit();
    api_peripheralInit();
    api_driverInit();
    api_deviceConfigure();
}

void aplicationTask()
{
    api_process();
}

void main() 
{
    aplicationInit();
    
    while (1)
    {
        aplicationTask();
    }
}