_OLED_PowerOn:
;OLED_driver.c,48 :: 		void OLED_PowerOn()
;OLED_driver.c,50 :: 		OLED_Pwr_bit = 1;
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(PTC_PDOR+0)
MOVT	R0, #hi_addr(PTC_PDOR+0)
_SX	[R0, ByteOffset(PTC_PDOR+0)]
;OLED_driver.c,51 :: 		}
L_end_OLED_PowerOn:
BX	LR
; end of _OLED_PowerOn
_OLED_PowerOff:
;OLED_driver.c,53 :: 		void OLED_PowerOff()
;OLED_driver.c,55 :: 		OLED_Pwr_bit = 0;
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(PTC_PDOR+0)
MOVT	R0, #hi_addr(PTC_PDOR+0)
_SX	[R0, ByteOffset(PTC_PDOR+0)]
;OLED_driver.c,56 :: 		}
L_end_OLED_PowerOff:
BX	LR
; end of _OLED_PowerOff
_OLED_SendCmd:
;OLED_driver.c,58 :: 		uint8_t OLED_SendCmd (uint32_t cmd, uint8_t isFirst)
; isFirst start address is: 4 (R1)
; cmd start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; isFirst end address is: 4 (R1)
; cmd end address is: 0 (R0)
; cmd start address is: 0 (R0)
; isFirst start address is: 4 (R1)
;OLED_driver.c,60 :: 		if ( isFirst )
CMP	R1, #0
IT	EQ
BEQ	L_OLED_SendCmd0
; isFirst end address is: 4 (R1)
;OLED_driver.c,62 :: 		OLED_DC_bit = 0;
MOVS	R3, #0
SXTB	R3, R3
MOVW	R2, #lo_addr(PTD_PDOR+0)
MOVT	R2, #hi_addr(PTD_PDOR+0)
_SX	[R2, ByteOffset(PTD_PDOR+0)]
;OLED_driver.c,63 :: 		}
IT	AL
BAL	L_OLED_SendCmd1
L_OLED_SendCmd0:
;OLED_driver.c,66 :: 		OLED_DC_bit = 1;
MOVS	R3, #1
SXTB	R3, R3
MOVW	R2, #lo_addr(PTD_PDOR+0)
MOVT	R2, #hi_addr(PTD_PDOR+0)
_SX	[R2, ByteOffset(PTD_PDOR+0)]
;OLED_driver.c,67 :: 		}
L_OLED_SendCmd1:
;OLED_driver.c,68 :: 		OLED_CS_bit = 0;
MOVS	R3, #0
SXTB	R3, R3
MOVW	R2, #lo_addr(PTB_PDOR+0)
MOVT	R2, #hi_addr(PTB_PDOR+0)
_SX	[R2, ByteOffset(PTB_PDOR+0)]
;OLED_driver.c,69 :: 		SPI2_Write(cmd);
UXTH	R0, R0
; cmd end address is: 0 (R0)
BL	_SPI2_Write+0
;OLED_driver.c,70 :: 		OLED_CS_bit = 1;
MOVS	R3, #1
SXTB	R3, R3
MOVW	R2, #lo_addr(PTB_PDOR+0)
MOVT	R2, #hi_addr(PTB_PDOR+0)
_SX	[R2, ByteOffset(PTB_PDOR+0)]
;OLED_driver.c,71 :: 		return OLED_STATUS_SUCCESS;
MOVS	R0, #0
;OLED_driver.c,72 :: 		}
L_end_OLED_SendCmd:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _OLED_SendCmd
_OLED_Init:
;OLED_driver.c,75 :: 		uint8_t OLED_Init()
SUB	SP, SP, #4
STR	LR, [SP, #0]
;OLED_driver.c,77 :: 		OLED_PowerOff();
BL	_OLED_PowerOff+0
;OLED_driver.c,78 :: 		Delay_1ms();
BL	_Delay_1ms+0
;OLED_driver.c,79 :: 		OLED_RST_bit = 0;
MOVS	R1, #0
SXTB	R1, R1
MOVW	R0, #lo_addr(PTE_PDOR+0)
MOVT	R0, #hi_addr(PTE_PDOR+0)
_SX	[R0, ByteOffset(PTE_PDOR+0)]
;OLED_driver.c,80 :: 		Delay_1ms();
BL	_Delay_1ms+0
;OLED_driver.c,81 :: 		OLED_RST_bit = 1;
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(PTE_PDOR+0)
MOVT	R0, #hi_addr(PTE_PDOR+0)
_SX	[R0, ByteOffset(PTE_PDOR+0)]
;OLED_driver.c,82 :: 		Delay_1ms();
BL	_Delay_1ms+0
;OLED_driver.c,83 :: 		OLED_PowerOn();
BL	_OLED_PowerOn+0
;OLED_driver.c,85 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_CMD_SET_CMD_LOCK, FIRST_BYTE ) )
MOVS	R1, #1
MOVS	R0, #253
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_Init2
;OLED_driver.c,87 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_Init
;OLED_driver.c,88 :: 		}
L_OLED_Init2:
;OLED_driver.c,89 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_UNLOCK, OTHER_BYTE ) )
MOVS	R1, #0
MOVS	R0, #18
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_Init3
;OLED_driver.c,91 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_Init
;OLED_driver.c,92 :: 		}
L_OLED_Init3:
;OLED_driver.c,94 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_CMD_SET_CMD_LOCK, FIRST_BYTE ) )
MOVS	R1, #1
MOVS	R0, #253
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_Init4
;OLED_driver.c,96 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_Init
;OLED_driver.c,97 :: 		}
L_OLED_Init4:
;OLED_driver.c,98 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_ACC_TO_CMD_YES, OTHER_BYTE ) )
MOVS	R1, #0
MOVS	R0, #177
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_Init5
;OLED_driver.c,100 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_Init
;OLED_driver.c,101 :: 		}
L_OLED_Init5:
;OLED_driver.c,103 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_CMD_DISPLAYOFF, FIRST_BYTE ) )
MOVS	R1, #1
MOVS	R0, #174
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_Init6
;OLED_driver.c,105 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_Init
;OLED_driver.c,106 :: 		}
L_OLED_Init6:
;OLED_driver.c,108 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_CMD_SET_OSC_FREQ_AND_CLOCKDIV, FIRST_BYTE ) )
MOVS	R1, #1
MOVS	R0, #179
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_Init7
;OLED_driver.c,110 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_Init
;OLED_driver.c,111 :: 		}
L_OLED_Init7:
;OLED_driver.c,112 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( 0xF1, OTHER_BYTE ) )
MOVS	R1, #0
MOVS	R0, #241
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_Init8
;OLED_driver.c,114 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_Init
;OLED_driver.c,115 :: 		}
L_OLED_Init8:
;OLED_driver.c,117 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_CMD_SET_MUX_RATIO, FIRST_BYTE ) )
MOVS	R1, #1
MOVS	R0, #202
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_Init9
;OLED_driver.c,119 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_Init
;OLED_driver.c,120 :: 		}
L_OLED_Init9:
;OLED_driver.c,121 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( 0x5F, OTHER_BYTE ) )
MOVS	R1, #0
MOVS	R0, #95
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_Init10
;OLED_driver.c,123 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_Init
;OLED_driver.c,124 :: 		}
L_OLED_Init10:
;OLED_driver.c,125 :: 		}
L_end_OLED_Init:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _OLED_Init
_OLED_setRemap:
;OLED_driver.c,126 :: 		uint8_t OLED_setRemap()
SUB	SP, SP, #4
STR	LR, [SP, #0]
;OLED_driver.c,128 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_CMD_SET_REMAP, FIRST_BYTE ) )
MOVS	R1, #1
MOVS	R0, #160
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_setRemap11
;OLED_driver.c,130 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_setRemap
;OLED_driver.c,131 :: 		}
L_OLED_setRemap11:
;OLED_driver.c,132 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_REMAP_SETTINGS, OTHER_BYTE ) )
MOVW	R0, #lo_addr(OLED_driver_OLED_REMAP_SETTINGS+0)
MOVT	R0, #hi_addr(OLED_driver_OLED_REMAP_SETTINGS+0)
LDRB	R0, [R0, #0]
MOVS	R1, #0
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_setRemap12
;OLED_driver.c,134 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_setRemap
;OLED_driver.c,135 :: 		}
L_OLED_setRemap12:
;OLED_driver.c,137 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_CMD_SET_COLUMN, FIRST_BYTE ) )
MOVS	R1, #1
MOVS	R0, #21
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_setRemap13
;OLED_driver.c,139 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_setRemap
;OLED_driver.c,140 :: 		}
L_OLED_setRemap13:
;OLED_driver.c,141 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( 0x00, OTHER_BYTE ) )
MOVS	R1, #0
MOVS	R0, #0
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_setRemap14
;OLED_driver.c,143 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_setRemap
;OLED_driver.c,144 :: 		}
L_OLED_setRemap14:
;OLED_driver.c,145 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( 0x5F, OTHER_BYTE ) )
MOVS	R1, #0
MOVS	R0, #95
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_setRemap15
;OLED_driver.c,147 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_setRemap
;OLED_driver.c,148 :: 		}
L_OLED_setRemap15:
;OLED_driver.c,150 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_CMD_SET_ROW, FIRST_BYTE ) )
MOVS	R1, #1
MOVS	R0, #117
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_setRemap16
;OLED_driver.c,152 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_setRemap
;OLED_driver.c,153 :: 		}
L_OLED_setRemap16:
;OLED_driver.c,154 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( 0x00, OTHER_BYTE ) )
MOVS	R1, #0
MOVS	R0, #0
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_setRemap17
;OLED_driver.c,156 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_setRemap
;OLED_driver.c,157 :: 		}
L_OLED_setRemap17:
;OLED_driver.c,158 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( 0x5F, OTHER_BYTE ) )
MOVS	R1, #0
MOVS	R0, #95
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_setRemap18
;OLED_driver.c,160 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_setRemap
;OLED_driver.c,161 :: 		}
L_OLED_setRemap18:
;OLED_driver.c,163 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_CMD_STARTLINE, FIRST_BYTE ) )
MOVS	R1, #1
MOVS	R0, #161
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_setRemap19
;OLED_driver.c,165 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_setRemap
;OLED_driver.c,166 :: 		}
L_OLED_setRemap19:
;OLED_driver.c,167 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( 0x80, OTHER_BYTE ) )
MOVS	R1, #0
MOVS	R0, #128
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_setRemap20
;OLED_driver.c,169 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_setRemap
;OLED_driver.c,170 :: 		}
L_OLED_setRemap20:
;OLED_driver.c,172 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_CMD_DISPLAYOFFSET, FIRST_BYTE ) )
MOVS	R1, #1
MOVS	R0, #162
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_setRemap21
;OLED_driver.c,174 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_setRemap
;OLED_driver.c,175 :: 		}
L_OLED_setRemap21:
;OLED_driver.c,176 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( 0x60, OTHER_BYTE ) )
MOVS	R1, #0
MOVS	R0, #96
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_setRemap22
;OLED_driver.c,178 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_setRemap
;OLED_driver.c,179 :: 		}
L_OLED_setRemap22:
;OLED_driver.c,181 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_CMD_PRECHARGE, FIRST_BYTE ) )
MOVS	R1, #1
MOVS	R0, #177
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_setRemap23
;OLED_driver.c,183 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_setRemap
;OLED_driver.c,184 :: 		}
L_OLED_setRemap23:
;OLED_driver.c,185 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( 0x32, FIRST_BYTE ) )
MOVS	R1, #1
MOVS	R0, #50
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_setRemap24
;OLED_driver.c,187 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_setRemap
;OLED_driver.c,188 :: 		}
L_OLED_setRemap24:
;OLED_driver.c,190 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_CMD_VCOMH, FIRST_BYTE ) )
MOVS	R1, #1
MOVS	R0, #190
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_setRemap25
;OLED_driver.c,192 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_setRemap
;OLED_driver.c,193 :: 		}
L_OLED_setRemap25:
;OLED_driver.c,194 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( 0x05, FIRST_BYTE ) )
MOVS	R1, #1
MOVS	R0, #5
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_setRemap26
;OLED_driver.c,196 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_setRemap
;OLED_driver.c,197 :: 		}
L_OLED_setRemap26:
;OLED_driver.c,199 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_CMD_NORMALDISPLAY, FIRST_BYTE ) )
MOVS	R1, #1
MOVS	R0, #166
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_setRemap27
;OLED_driver.c,201 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_setRemap
;OLED_driver.c,202 :: 		}
L_OLED_setRemap27:
;OLED_driver.c,203 :: 		}
L_end_OLED_setRemap:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _OLED_setRemap
_OLED_setCmdFunctions:
;OLED_driver.c,204 :: 		uint8_t OLED_setCmdFunctions()
SUB	SP, SP, #4
STR	LR, [SP, #0]
;OLED_driver.c,207 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_CMD_CONTRASTABC, FIRST_BYTE ) )
MOVS	R1, #1
MOVS	R0, #193
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_setCmdFunctions28
;OLED_driver.c,209 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_setCmdFunctions
;OLED_driver.c,210 :: 		}
L_OLED_setCmdFunctions28:
;OLED_driver.c,211 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( 0x8A, OTHER_BYTE ) )
MOVS	R1, #0
MOVS	R0, #138
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_setCmdFunctions29
;OLED_driver.c,213 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_setCmdFunctions
;OLED_driver.c,214 :: 		}
L_OLED_setCmdFunctions29:
;OLED_driver.c,215 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( 0x51, OTHER_BYTE ) )
MOVS	R1, #0
MOVS	R0, #81
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_setCmdFunctions30
;OLED_driver.c,217 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_setCmdFunctions
;OLED_driver.c,218 :: 		}
L_OLED_setCmdFunctions30:
;OLED_driver.c,219 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( 0x8A, OTHER_BYTE ) )
MOVS	R1, #0
MOVS	R0, #138
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_setCmdFunctions31
;OLED_driver.c,221 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_setCmdFunctions
;OLED_driver.c,222 :: 		}
L_OLED_setCmdFunctions31:
;OLED_driver.c,224 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_CMD_CONTRASTMASTER, FIRST_BYTE ) )
MOVS	R1, #1
MOVS	R0, #199
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_setCmdFunctions32
;OLED_driver.c,226 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_setCmdFunctions
;OLED_driver.c,227 :: 		}
L_OLED_setCmdFunctions32:
;OLED_driver.c,228 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( 0xCF, OTHER_BYTE ) )
MOVS	R1, #0
MOVS	R0, #207
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_setCmdFunctions33
;OLED_driver.c,230 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_setCmdFunctions
;OLED_driver.c,231 :: 		}
L_OLED_setCmdFunctions33:
;OLED_driver.c,233 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_CMD_SETVSL, FIRST_BYTE ) )
MOVS	R1, #1
MOVS	R0, #180
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_setCmdFunctions34
;OLED_driver.c,235 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_setCmdFunctions
;OLED_driver.c,236 :: 		}
L_OLED_setCmdFunctions34:
;OLED_driver.c,237 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( 0xA0, OTHER_BYTE ) )
MOVS	R1, #0
MOVS	R0, #160
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_setCmdFunctions35
;OLED_driver.c,239 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_setCmdFunctions
;OLED_driver.c,240 :: 		}
L_OLED_setCmdFunctions35:
;OLED_driver.c,241 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( 0xB5, OTHER_BYTE ) )
MOVS	R1, #0
MOVS	R0, #181
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_setCmdFunctions36
;OLED_driver.c,243 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_setCmdFunctions
;OLED_driver.c,244 :: 		}
L_OLED_setCmdFunctions36:
;OLED_driver.c,245 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( 0x55, OTHER_BYTE ) )
MOVS	R1, #0
MOVS	R0, #85
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_setCmdFunctions37
;OLED_driver.c,247 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_setCmdFunctions
;OLED_driver.c,248 :: 		}
L_OLED_setCmdFunctions37:
;OLED_driver.c,250 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_CMD_PRECHARGE2, FIRST_BYTE ) )
MOVS	R1, #1
MOVS	R0, #182
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_setCmdFunctions38
;OLED_driver.c,252 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_setCmdFunctions
;OLED_driver.c,253 :: 		}
L_OLED_setCmdFunctions38:
;OLED_driver.c,254 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( 0x01, OTHER_BYTE ) )
MOVS	R1, #0
MOVS	R0, #1
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_setCmdFunctions39
;OLED_driver.c,256 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_setCmdFunctions
;OLED_driver.c,257 :: 		}
L_OLED_setCmdFunctions39:
;OLED_driver.c,259 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_CMD_DISPLAYON, FIRST_BYTE ) )
MOVS	R1, #1
MOVS	R0, #175
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_setCmdFunctions40
;OLED_driver.c,261 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_setCmdFunctions
;OLED_driver.c,262 :: 		}
L_OLED_setCmdFunctions40:
;OLED_driver.c,264 :: 		return OLED_STATUS_SUCCESS;
MOVS	R0, #0
;OLED_driver.c,265 :: 		}
L_end_OLED_setCmdFunctions:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _OLED_setCmdFunctions
_OLED_SendData:
;OLED_driver.c,267 :: 		uint8_t OLED_SendData(const uint8_t* dataToSend,uint32_t dataSize)
; dataSize start address is: 4 (R1)
; dataToSend start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
MOV	R5, R0
MOV	R6, R1
; dataSize end address is: 4 (R1)
; dataToSend end address is: 0 (R0)
; dataToSend start address is: 20 (R5)
; dataSize start address is: 24 (R6)
;OLED_driver.c,272 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_CMD_WRITERAM, FIRST_BYTE ) )
MOVS	R1, #1
MOVS	R0, #92
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_SendData41
; dataToSend end address is: 20 (R5)
; dataSize end address is: 24 (R6)
;OLED_driver.c,274 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_SendData
;OLED_driver.c,275 :: 		}
L_OLED_SendData41:
;OLED_driver.c,276 :: 		OLED_DC_bit = 1;
; dataSize start address is: 24 (R6)
; dataToSend start address is: 20 (R5)
MOVS	R3, #1
SXTB	R3, R3
MOVW	R2, #lo_addr(PTD_PDOR+0)
MOVT	R2, #hi_addr(PTD_PDOR+0)
_SX	[R2, ByteOffset(PTD_PDOR+0)]
;OLED_driver.c,277 :: 		OLED_CS_bit = 0;
MOVS	R3, #0
SXTB	R3, R3
MOVW	R2, #lo_addr(PTB_PDOR+0)
MOVT	R2, #hi_addr(PTB_PDOR+0)
_SX	[R2, ByteOffset(PTB_PDOR+0)]
;OLED_driver.c,279 :: 		bufPtr = dataToSend;
; bufPtr start address is: 0 (R0)
MOV	R0, R5
; dataToSend end address is: 20 (R5)
; bufPtr end address is: 0 (R0)
MOV	R5, R0
MOV	R0, R6
;OLED_driver.c,281 :: 		while(dataSize--)
L_OLED_SendData42:
; bufPtr start address is: 20 (R5)
; dataSize start address is: 0 (R0)
MOV	R3, R0
SUBS	R2, R0, #1
; dataSize end address is: 0 (R0)
; dataSize start address is: 24 (R6)
MOV	R6, R2
; dataSize end address is: 24 (R6)
CMP	R3, #0
IT	EQ
BEQ	L_OLED_SendData43
; dataSize end address is: 24 (R6)
;OLED_driver.c,283 :: 		SPI2_Write(*(bufPtr++));
; dataSize start address is: 24 (R6)
LDRB	R2, [R5, #0]
UXTH	R0, R2
BL	_SPI2_Write+0
ADDS	R5, R5, #1
;OLED_driver.c,284 :: 		}
MOV	R0, R6
; dataSize end address is: 24 (R6)
; bufPtr end address is: 20 (R5)
IT	AL
BAL	L_OLED_SendData42
L_OLED_SendData43:
;OLED_driver.c,286 :: 		OLED_CS_bit = 1;
MOVS	R3, #1
SXTB	R3, R3
MOVW	R2, #lo_addr(PTB_PDOR+0)
MOVT	R2, #hi_addr(PTB_PDOR+0)
_SX	[R2, ByteOffset(PTB_PDOR+0)]
;OLED_driver.c,287 :: 		return OLED_STATUS_SUCCESS;
MOVS	R0, #0
;OLED_driver.c,288 :: 		}
L_end_OLED_SendData:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _OLED_SendData
_OLED_DrawBox:
;OLED_driver.c,290 :: 		uint8_t OLED_DrawBox ( uint16_t xCrd, uint16_t yCrd, uint16_t width, uint16_t height )
; height start address is: 12 (R3)
; width start address is: 8 (R2)
; yCrd start address is: 4 (R1)
; xCrd start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
UXTH	R10, R0
UXTH	R9, R1
UXTH	R5, R2
UXTH	R8, R3
; height end address is: 12 (R3)
; width end address is: 8 (R2)
; yCrd end address is: 4 (R1)
; xCrd end address is: 0 (R0)
; xCrd start address is: 40 (R10)
; yCrd start address is: 36 (R9)
; width start address is: 20 (R5)
; height start address is: 32 (R8)
;OLED_driver.c,292 :: 		uint8_t status = OLED_STATUS_SUCCESS;
;OLED_driver.c,294 :: 		uint16_t color = 0x0000;
; color start address is: 24 (R6)
MOVW	R6, #0
;OLED_driver.c,296 :: 		boxSize = width*height;
MUL	R4, R5, R8
UXTH	R4, R4
; boxSize start address is: 28 (R7)
UXTH	R7, R4
;OLED_driver.c,299 :: 		if (0 != ((( xCrd + width - 1 ) > OLED_SCREEN_WIDTH ) || ( xCrd < 0 ) || ( ( yCrd + height - 1 ) > OLED_SCREEN_HEIGHT ) || ( yCrd < 0 )))
ADD	R4, R10, R5, LSL #0
UXTH	R4, R4
SUBS	R4, R4, #1
UXTH	R4, R4
CMP	R4, #96
IT	HI
BHI	L_OLED_DrawBox45
CMP	R10, #0
IT	CC
BCC	L_OLED_DrawBox45
ADD	R4, R9, R8, LSL #0
UXTH	R4, R4
SUBS	R4, R4, #1
UXTH	R4, R4
CMP	R4, #96
IT	HI
BHI	L_OLED_DrawBox45
CMP	R9, #0
IT	CC
BCC	L_OLED_DrawBox45
MOVS	R4, #0
IT	AL
BAL	L_OLED_DrawBox44
L_OLED_DrawBox45:
MOVS	R4, #1
L_OLED_DrawBox44:
CMP	R4, #0
IT	EQ
BEQ	L_OLED_DrawBox46
; width end address is: 20 (R5)
; height end address is: 32 (R8)
; boxSize end address is: 28 (R7)
; xCrd end address is: 40 (R10)
; yCrd end address is: 36 (R9)
; color end address is: 24 (R6)
;OLED_driver.c,301 :: 		status = OLED_STATUS_INIT_ERROR;
; status start address is: 0 (R0)
MOVS	R0, #3
;OLED_driver.c,302 :: 		}
; status end address is: 0 (R0)
IT	AL
BAL	L_OLED_DrawBox47
L_OLED_DrawBox46:
;OLED_driver.c,306 :: 		xCrd += OLED_COLUMN_OFFSET;
; color start address is: 24 (R6)
; yCrd start address is: 36 (R9)
; xCrd start address is: 40 (R10)
; boxSize start address is: 28 (R7)
; height start address is: 32 (R8)
; width start address is: 20 (R5)
ADD	R10, R10, #16
UXTH	R10, R10
;OLED_driver.c,307 :: 		yCrd += OLED_ROW_OFFSET;
;OLED_driver.c,309 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_CMD_SET_COLUMN, FIRST_BYTE ) )
MOVS	R1, #1
MOVS	R0, #21
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_DrawBox48
; width end address is: 20 (R5)
; height end address is: 32 (R8)
; boxSize end address is: 28 (R7)
; xCrd end address is: 40 (R10)
; yCrd end address is: 36 (R9)
; color end address is: 24 (R6)
;OLED_driver.c,311 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_DrawBox
;OLED_driver.c,312 :: 		}
L_OLED_DrawBox48:
;OLED_driver.c,313 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( xCrd, OTHER_BYTE ) )
; color start address is: 24 (R6)
; yCrd start address is: 36 (R9)
; xCrd start address is: 40 (R10)
; boxSize start address is: 28 (R7)
; height start address is: 32 (R8)
; width start address is: 20 (R5)
MOVS	R1, #0
UXTH	R0, R10
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_DrawBox49
; width end address is: 20 (R5)
; height end address is: 32 (R8)
; boxSize end address is: 28 (R7)
; xCrd end address is: 40 (R10)
; yCrd end address is: 36 (R9)
; color end address is: 24 (R6)
;OLED_driver.c,315 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_DrawBox
;OLED_driver.c,316 :: 		}
L_OLED_DrawBox49:
;OLED_driver.c,317 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( xCrd + (width-1), OTHER_BYTE ) )
; color start address is: 24 (R6)
; yCrd start address is: 36 (R9)
; xCrd start address is: 40 (R10)
; boxSize start address is: 28 (R7)
; height start address is: 32 (R8)
; width start address is: 20 (R5)
SUBS	R4, R5, #1
UXTH	R4, R4
; width end address is: 20 (R5)
ADD	R4, R10, R4, LSL #0
UXTH	R4, R4
; xCrd end address is: 40 (R10)
MOVS	R1, #0
UXTH	R0, R4
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_DrawBox50
; height end address is: 32 (R8)
; boxSize end address is: 28 (R7)
; yCrd end address is: 36 (R9)
; color end address is: 24 (R6)
;OLED_driver.c,319 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_DrawBox
;OLED_driver.c,320 :: 		}
L_OLED_DrawBox50:
;OLED_driver.c,322 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_CMD_SET_ROW, FIRST_BYTE ) )
; color start address is: 24 (R6)
; yCrd start address is: 36 (R9)
; boxSize start address is: 28 (R7)
; height start address is: 32 (R8)
MOVS	R1, #1
MOVS	R0, #117
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_DrawBox51
; height end address is: 32 (R8)
; boxSize end address is: 28 (R7)
; yCrd end address is: 36 (R9)
; color end address is: 24 (R6)
;OLED_driver.c,324 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_DrawBox
;OLED_driver.c,325 :: 		}
L_OLED_DrawBox51:
;OLED_driver.c,326 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( yCrd, OTHER_BYTE ) )
; color start address is: 24 (R6)
; yCrd start address is: 36 (R9)
; boxSize start address is: 28 (R7)
; height start address is: 32 (R8)
MOVS	R1, #0
UXTH	R0, R9
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_DrawBox52
; height end address is: 32 (R8)
; boxSize end address is: 28 (R7)
; yCrd end address is: 36 (R9)
; color end address is: 24 (R6)
;OLED_driver.c,328 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_DrawBox
;OLED_driver.c,329 :: 		}
L_OLED_DrawBox52:
;OLED_driver.c,330 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( yCrd + (height-1), OTHER_BYTE ) )
; color start address is: 24 (R6)
; yCrd start address is: 36 (R9)
; boxSize start address is: 28 (R7)
; height start address is: 32 (R8)
SUB	R4, R8, #1
UXTH	R4, R4
; height end address is: 32 (R8)
ADD	R4, R9, R4, LSL #0
UXTH	R4, R4
; yCrd end address is: 36 (R9)
MOVS	R1, #0
UXTH	R0, R4
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_DrawBox53
; boxSize end address is: 28 (R7)
; color end address is: 24 (R6)
;OLED_driver.c,332 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_DrawBox
;OLED_driver.c,333 :: 		}
L_OLED_DrawBox53:
;OLED_driver.c,335 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_CMD_WRITERAM, FIRST_BYTE ) )
; color start address is: 24 (R6)
; boxSize start address is: 28 (R7)
MOVS	R1, #1
MOVS	R0, #92
BL	_OLED_SendCmd+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_DrawBox54
; boxSize end address is: 28 (R7)
; color end address is: 24 (R6)
;OLED_driver.c,337 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_DrawBox
;OLED_driver.c,338 :: 		}
L_OLED_DrawBox54:
;OLED_driver.c,340 :: 		OLED_DC_bit = 1;
; color start address is: 24 (R6)
; boxSize start address is: 28 (R7)
MOVS	R5, #1
SXTB	R5, R5
MOVW	R4, #lo_addr(PTD_PDOR+0)
MOVT	R4, #hi_addr(PTD_PDOR+0)
_SX	[R4, ByteOffset(PTD_PDOR+0)]
;OLED_driver.c,341 :: 		OLED_CS_bit = 0;
MOVS	R5, #0
SXTB	R5, R5
MOVW	R4, #lo_addr(PTB_PDOR+0)
MOVT	R4, #hi_addr(PTB_PDOR+0)
_SX	[R4, ByteOffset(PTB_PDOR+0)]
;OLED_driver.c,342 :: 		for(cnt = 0; cnt < boxSize; cnt++)
; cnt start address is: 0 (R0)
MOVS	R0, #0
; boxSize end address is: 28 (R7)
; cnt end address is: 0 (R0)
MOV	R5, R7
UXTH	R7, R0
L_OLED_DrawBox55:
; cnt start address is: 28 (R7)
; boxSize start address is: 20 (R5)
; color start address is: 24 (R6)
; color end address is: 24 (R6)
CMP	R7, R5
IT	CS
BCS	L_OLED_DrawBox56
; color end address is: 24 (R6)
;OLED_driver.c,344 :: 		SPI2_Write(color >> 8);
; color start address is: 24 (R6)
LSRS	R4, R6, #8
UXTH	R0, R4
BL	_SPI2_Write+0
;OLED_driver.c,345 :: 		SPI2_Write(color);
UXTH	R0, R6
BL	_SPI2_Write+0
;OLED_driver.c,342 :: 		for(cnt = 0; cnt < boxSize; cnt++)
ADDS	R7, R7, #1
UXTH	R7, R7
;OLED_driver.c,346 :: 		}
; boxSize end address is: 20 (R5)
; color end address is: 24 (R6)
; cnt end address is: 28 (R7)
IT	AL
BAL	L_OLED_DrawBox55
L_OLED_DrawBox56:
;OLED_driver.c,347 :: 		OLED_CS_bit = 1;
MOVS	R5, #1
SXTB	R5, R5
MOVW	R4, #lo_addr(PTB_PDOR+0)
MOVT	R4, #hi_addr(PTB_PDOR+0)
_SX	[R4, ByteOffset(PTB_PDOR+0)]
;OLED_driver.c,349 :: 		status = OLED_STATUS_SUCCESS;
; status start address is: 0 (R0)
MOVS	R0, #0
; status end address is: 0 (R0)
;OLED_driver.c,350 :: 		}
L_OLED_DrawBox47:
;OLED_driver.c,352 :: 		return status;
; status start address is: 0 (R0)
; status end address is: 0 (R0)
;OLED_driver.c,353 :: 		}
L_end_OLED_DrawBox:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _OLED_DrawBox
_OLED_FillScreen:
;OLED_driver.c,354 :: 		uint8_t OLED_FillScreen( uint16_t color )
SUB	SP, SP, #4
STR	LR, [SP, #0]
;OLED_driver.c,356 :: 		return OLED_DrawBox(0, 0, 96, 96);
MOVS	R3, #96
MOVS	R2, #96
MOVS	R1, #0
MOVS	R0, #0
BL	_OLED_DrawBox+0
;OLED_driver.c,357 :: 		}
L_end_OLED_FillScreen:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _OLED_FillScreen
_OLED_DrawPixel:
;OLED_driver.c,359 :: 		uint8_t OLED_DrawPixel (int16_t xCrd, int16_t yCrd, uint16_t color)
; color start address is: 8 (R2)
; yCrd start address is: 4 (R1)
; xCrd start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
; color end address is: 8 (R2)
; yCrd end address is: 4 (R1)
; xCrd end address is: 0 (R0)
; xCrd start address is: 0 (R0)
; yCrd start address is: 4 (R1)
; color start address is: 8 (R2)
;OLED_driver.c,362 :: 		if (0 != ( xCrd > OLED_SCREEN_WIDTH ))
CMP	R0, #96
MOVW	R3, #0
BLE	L__OLED_DrawPixel116
MOVS	R3, #1
L__OLED_DrawPixel116:
CMP	R3, #0
IT	EQ
BEQ	L_OLED_DrawPixel58
; xCrd end address is: 0 (R0)
; yCrd end address is: 4 (R1)
; color end address is: 8 (R2)
;OLED_driver.c,364 :: 		return OLED_STATUS_INIT_ERROR;
MOVS	R0, #3
IT	AL
BAL	L_end_OLED_DrawPixel
;OLED_driver.c,365 :: 		}
L_OLED_DrawPixel58:
;OLED_driver.c,366 :: 		if (0 != ( xCrd < 0 ))
; color start address is: 8 (R2)
; yCrd start address is: 4 (R1)
; xCrd start address is: 0 (R0)
CMP	R0, #0
MOVW	R3, #0
BGE	L__OLED_DrawPixel117
MOVS	R3, #1
L__OLED_DrawPixel117:
CMP	R3, #0
IT	EQ
BEQ	L_OLED_DrawPixel59
; xCrd end address is: 0 (R0)
; yCrd end address is: 4 (R1)
; color end address is: 8 (R2)
;OLED_driver.c,368 :: 		return OLED_STATUS_INIT_ERROR;
MOVS	R0, #3
IT	AL
BAL	L_end_OLED_DrawPixel
;OLED_driver.c,369 :: 		}
L_OLED_DrawPixel59:
;OLED_driver.c,370 :: 		if (0 != ( yCrd  > OLED_SCREEN_HEIGHT ))
; color start address is: 8 (R2)
; yCrd start address is: 4 (R1)
; xCrd start address is: 0 (R0)
CMP	R1, #96
MOVW	R3, #0
BLE	L__OLED_DrawPixel118
MOVS	R3, #1
L__OLED_DrawPixel118:
CMP	R3, #0
IT	EQ
BEQ	L_OLED_DrawPixel60
; xCrd end address is: 0 (R0)
; yCrd end address is: 4 (R1)
; color end address is: 8 (R2)
;OLED_driver.c,372 :: 		return OLED_STATUS_INIT_ERROR;
MOVS	R0, #3
IT	AL
BAL	L_end_OLED_DrawPixel
;OLED_driver.c,373 :: 		}
L_OLED_DrawPixel60:
;OLED_driver.c,374 :: 		if (0 != ( yCrd < 0 ))
; color start address is: 8 (R2)
; yCrd start address is: 4 (R1)
; xCrd start address is: 0 (R0)
CMP	R1, #0
MOVW	R3, #0
BGE	L__OLED_DrawPixel119
MOVS	R3, #1
L__OLED_DrawPixel119:
CMP	R3, #0
IT	EQ
BEQ	L_OLED_DrawPixel61
; xCrd end address is: 0 (R0)
; yCrd end address is: 4 (R1)
; color end address is: 8 (R2)
;OLED_driver.c,376 :: 		return OLED_STATUS_INIT_ERROR;
MOVS	R0, #3
IT	AL
BAL	L_end_OLED_DrawPixel
;OLED_driver.c,377 :: 		}
L_OLED_DrawPixel61:
;OLED_driver.c,380 :: 		uint16_t dot = color;
; color start address is: 8 (R2)
; yCrd start address is: 4 (R1)
; xCrd start address is: 0 (R0)
STRH	R2, [SP, #4]
; color end address is: 8 (R2)
;OLED_driver.c,381 :: 		SetBorders( xCrd, yCrd, OLED_SCREEN_WIDTH, OLED_SCREEN_HEIGHT);
MOVS	R3, #96
MOVS	R2, #96
UXTB	R1, R1
; yCrd end address is: 4 (R1)
UXTB	R0, R0
; xCrd end address is: 0 (R0)
BL	OLED_driver_SetBorders+0
;OLED_driver.c,383 :: 		dot = (( dot & 0xFF00 ) >> 8 ) | ( ( dot & 0x00FF ) << 8 );
LDRH	R3, [SP, #4]
AND	R3, R3, #65280
UXTH	R3, R3
LSRS	R4, R3, #8
UXTH	R4, R4
LDRH	R3, [SP, #4]
AND	R3, R3, #255
UXTH	R3, R3
LSLS	R3, R3, #8
UXTH	R3, R3
ORR	R3, R4, R3, LSL #0
STRH	R3, [SP, #4]
;OLED_driver.c,385 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendData( &dot, 2 ) )
ADD	R3, SP, #4
MOVS	R1, #2
MOV	R0, R3
BL	_OLED_SendData+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_DrawPixel63
;OLED_driver.c,387 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_DrawPixel
;OLED_driver.c,388 :: 		}
L_OLED_DrawPixel63:
;OLED_driver.c,389 :: 		return OLED_STATUS_SUCCESS;
MOVS	R0, #0
;OLED_driver.c,391 :: 		}
L_end_OLED_DrawPixel:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _OLED_DrawPixel
OLED_driver_SetBorders:
;OLED_driver.c,393 :: 		static void SetBorders(uint8_t xCrd, uint8_t yCrd, uint8_t width, uint8_t height)
; height start address is: 12 (R3)
; width start address is: 8 (R2)
; yCrd start address is: 4 (R1)
; xCrd start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; height end address is: 12 (R3)
; width end address is: 8 (R2)
; yCrd end address is: 4 (R1)
; xCrd end address is: 0 (R0)
; xCrd start address is: 0 (R0)
; yCrd start address is: 4 (R1)
; width start address is: 8 (R2)
; height start address is: 12 (R3)
;OLED_driver.c,396 :: 		xCrd += OLED_COLUMN_OFFSET;
ADDW	R4, R0, #16
; xCrd end address is: 0 (R0)
; xCrd start address is: 24 (R6)
UXTB	R6, R4
;OLED_driver.c,397 :: 		yCrd += OLED_ROW_OFFSET;
UXTB	R4, R1
; yCrd end address is: 4 (R1)
; yCrd start address is: 20 (R5)
UXTB	R5, R4
; width end address is: 8 (R2)
; height end address is: 12 (R3)
; yCrd end address is: 20 (R5)
; xCrd end address is: 24 (R6)
UXTB	R8, R2
UXTB	R7, R3
;OLED_driver.c,399 :: 		while (1)
L_OLED_driver_SetBorders64:
;OLED_driver.c,401 :: 		oledStatus = OLED_STATUS_SUCCESS;
; yCrd start address is: 20 (R5)
; xCrd start address is: 24 (R6)
; height start address is: 28 (R7)
; width start address is: 32 (R8)
; oledStatus start address is: 36 (R9)
MOVW	R9, #0
;OLED_driver.c,403 :: 		oledStatus |= OLED_SendCmd( OLED_CMD_SET_COLUMN, FIRST_BYTE );
MOVS	R1, #1
MOVS	R0, #21
BL	_OLED_SendCmd+0
ORR	R9, R9, R0, LSL #0
UXTB	R9, R9
;OLED_driver.c,404 :: 		oledStatus |= OLED_SendCmd( xCrd, OTHER_BYTE );
MOVS	R1, #0
UXTB	R0, R6
BL	_OLED_SendCmd+0
ORR	R9, R9, R0, LSL #0
UXTB	R9, R9
;OLED_driver.c,405 :: 		oledStatus |= OLED_SendCmd( xCrd + (width-1), OTHER_BYTE );
SUB	R4, R8, #1
SXTH	R4, R4
ADDS	R4, R6, R4
SXTH	R4, R4
MOVS	R1, #0
SXTH	R0, R4
BL	_OLED_SendCmd+0
ORR	R9, R9, R0, LSL #0
UXTB	R9, R9
;OLED_driver.c,406 :: 		oledStatus |= OLED_SendCmd( OLED_CMD_SET_ROW, FIRST_BYTE );
MOVS	R1, #1
MOVS	R0, #117
BL	_OLED_SendCmd+0
ORR	R9, R9, R0, LSL #0
UXTB	R9, R9
;OLED_driver.c,407 :: 		oledStatus |= OLED_SendCmd( yCrd, OTHER_BYTE );
MOVS	R1, #0
UXTB	R0, R5
BL	_OLED_SendCmd+0
ORR	R9, R9, R0, LSL #0
UXTB	R9, R9
;OLED_driver.c,408 :: 		oledStatus |= OLED_SendCmd( yCrd + (height-1), OTHER_BYTE );
SUBS	R4, R7, #1
SXTH	R4, R4
ADDS	R4, R5, R4
SXTH	R4, R4
MOVS	R1, #0
SXTH	R0, R4
BL	_OLED_SendCmd+0
ORR	R4, R9, R0, LSL #0
UXTB	R4, R4
;OLED_driver.c,410 :: 		if ( OLED_STATUS_SUCCESS == oledStatus)
CMP	R4, #0
IT	NE
BNE	L_OLED_driver_SetBorders66
; yCrd end address is: 20 (R5)
; xCrd end address is: 24 (R6)
; height end address is: 28 (R7)
; width end address is: 32 (R8)
; oledStatus end address is: 36 (R9)
;OLED_driver.c,412 :: 		break;
IT	AL
BAL	L_OLED_driver_SetBorders65
;OLED_driver.c,413 :: 		}
L_OLED_driver_SetBorders66:
;OLED_driver.c,414 :: 		}
; oledStatus start address is: 36 (R9)
; width start address is: 32 (R8)
; height start address is: 28 (R7)
; xCrd start address is: 24 (R6)
; yCrd start address is: 20 (R5)
; yCrd end address is: 20 (R5)
; xCrd end address is: 24 (R6)
; height end address is: 28 (R7)
; width end address is: 32 (R8)
; oledStatus end address is: 36 (R9)
IT	AL
BAL	L_OLED_driver_SetBorders64
L_OLED_driver_SetBorders65:
;OLED_driver.c,415 :: 		}
L_end_SetBorders:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of OLED_driver_SetBorders
OLED_driver_OLED_Swap:
;OLED_driver.c,418 :: 		static void OLED_Swap(uint16_t* imgDst,const uint8_t* imgSrc,uint16_t imgSize)
; imgSize start address is: 8 (R2)
; imgSrc start address is: 4 (R1)
; imgDst start address is: 0 (R0)
UXTH	R3, R2
MOV	R2, R1
; imgSize end address is: 8 (R2)
; imgSrc end address is: 4 (R1)
; imgDst end address is: 0 (R0)
; imgDst start address is: 0 (R0)
; imgSrc start address is: 8 (R2)
; imgSize start address is: 12 (R3)
;OLED_driver.c,421 :: 		for (var = 0; var < imgSize; var++)
; var start address is: 4 (R1)
MOVS	R1, #0
; imgDst end address is: 0 (R0)
; imgSrc end address is: 8 (R2)
; imgSize end address is: 12 (R3)
; var end address is: 4 (R1)
MOV	R4, R2
MOV	R2, R0
UXTH	R0, R3
L_OLED_driver_OLED_Swap67:
; var start address is: 4 (R1)
; imgSize start address is: 0 (R0)
; imgSrc start address is: 16 (R4)
; imgDst start address is: 8 (R2)
CMP	R1, R0
IT	CS
BCS	L_OLED_driver_OLED_Swap68
;OLED_driver.c,423 :: 		*imgDst = *imgSrc << 8;
LDRB	R3, [R4, #0]
LSLS	R3, R3, #8
STRH	R3, [R2, #0]
;OLED_driver.c,424 :: 		imgSrc++;
ADDS	R3, R4, #1
; imgSrc end address is: 16 (R4)
; imgSrc start address is: 20 (R5)
MOV	R5, R3
;OLED_driver.c,425 :: 		*imgDst |= *imgSrc;
LDRB	R4, [R3, #0]
LDRH	R3, [R2, #0]
ORRS	R3, R4
STRH	R3, [R2, #0]
;OLED_driver.c,426 :: 		imgDst++;
ADDS	R2, R2, #2
;OLED_driver.c,427 :: 		imgSrc++;
ADDS	R3, R5, #1
; imgSrc end address is: 20 (R5)
; imgSrc start address is: 16 (R4)
MOV	R4, R3
;OLED_driver.c,421 :: 		for (var = 0; var < imgSize; var++)
ADDS	R1, R1, #1
;OLED_driver.c,428 :: 		}
; imgSize end address is: 0 (R0)
; imgDst end address is: 8 (R2)
; imgSrc end address is: 16 (R4)
; var end address is: 4 (R1)
IT	AL
BAL	L_OLED_driver_OLED_Swap67
L_OLED_driver_OLED_Swap68:
;OLED_driver.c,429 :: 		}
L_end_OLED_Swap:
BX	LR
; end of OLED_driver_OLED_Swap
_OLED_GetImageDimensions:
;OLED_driver.c,432 :: 		void OLED_GetImageDimensions(uint8_t *width, uint8_t *height, const uint8_t* image)
; image start address is: 8 (R2)
; height start address is: 4 (R1)
; width start address is: 0 (R0)
; image end address is: 8 (R2)
; height end address is: 4 (R1)
; width end address is: 0 (R0)
; width start address is: 0 (R0)
; height start address is: 4 (R1)
; image start address is: 8 (R2)
;OLED_driver.c,434 :: 		*height = image[2] + (image[3] << 8);
ADDS	R3, R2, #2
LDRB	R4, [R3, #0]
ADDS	R3, R2, #3
LDRB	R3, [R3, #0]
LSLS	R3, R3, #8
UXTH	R3, R3
ADDS	R3, R4, R3
STRB	R3, [R1, #0]
; height end address is: 4 (R1)
;OLED_driver.c,435 :: 		*width  = image[4] + (image[5] << 8);
ADDS	R3, R2, #4
LDRB	R4, [R3, #0]
ADDS	R3, R2, #5
; image end address is: 8 (R2)
LDRB	R3, [R3, #0]
LSLS	R3, R3, #8
UXTH	R3, R3
ADDS	R3, R4, R3
STRB	R3, [R0, #0]
; width end address is: 0 (R0)
;OLED_driver.c,436 :: 		}
L_end_OLED_GetImageDimensions:
BX	LR
; end of _OLED_GetImageDimensions
_OLED_DrawImage:
;OLED_driver.c,439 :: 		uint8_t OLED_DrawImage (const uint8_t* image, uint8_t xCrd, uint8_t yCrd)
; yCrd start address is: 8 (R2)
; xCrd start address is: 4 (R1)
; image start address is: 0 (R0)
SUB	SP, SP, #8
STR	LR, [SP, #0]
UXTB	R10, R1
UXTB	R11, R2
; yCrd end address is: 8 (R2)
; xCrd end address is: 4 (R1)
; image end address is: 0 (R0)
; image start address is: 0 (R0)
; xCrd start address is: 40 (R10)
; yCrd start address is: 44 (R11)
;OLED_driver.c,441 :: 		uint8_t status = OLED_STATUS_SUCCESS;
;OLED_driver.c,446 :: 		ptr = image;
; ptr start address is: 4 (R1)
MOV	R1, R0
;OLED_driver.c,448 :: 		ptr += 2;
ADDS	R4, R1, #2
; ptr end address is: 4 (R1)
;OLED_driver.c,449 :: 		height = *ptr;
LDRB	R3, [R4, #0]
; height start address is: 4 (R1)
UXTB	R1, R3
;OLED_driver.c,450 :: 		ptr++;
ADDS	R4, R4, #1
;OLED_driver.c,451 :: 		height += (*ptr) << 8;
LDRB	R3, [R4, #0]
LSLS	R3, R3, #8
UXTH	R3, R3
ADDS	R3, R1, R3
; height end address is: 4 (R1)
; height start address is: 48 (R12)
UXTH	R12, R3
;OLED_driver.c,453 :: 		ptr++;
ADDS	R4, R4, #1
;OLED_driver.c,454 :: 		width = *ptr;
LDRB	R1, [R4, #0]
; width start address is: 4 (R1)
UXTB	R1, R1
;OLED_driver.c,455 :: 		ptr++;
ADDS	R3, R4, #1
;OLED_driver.c,456 :: 		width += (*ptr)<<8;
LDRB	R3, [R3, #0]
LSLS	R3, R3, #8
UXTH	R3, R3
ADDS	R3, R1, R3
UXTH	R3, R3
UXTH	R1, R3
;OLED_driver.c,458 :: 		if (0 != ((( xCrd + width - 1 ) > OLED_SCREEN_WIDTH ) || ( xCrd < 0 ) || ( ( yCrd + height - 1 ) > OLED_SCREEN_HEIGHT ) || ( yCrd < 0 )))
ADD	R3, R10, R3, LSL #0
UXTH	R3, R3
SUBS	R3, R3, #1
UXTH	R3, R3
CMP	R3, #96
IT	HI
BHI	L_OLED_DrawImage71
CMP	R10, #0
IT	CC
BCC	L_OLED_DrawImage71
ADD	R3, R11, R12, LSL #0
UXTH	R3, R3
SUBS	R3, R3, #1
UXTH	R3, R3
CMP	R3, #96
IT	HI
BHI	L_OLED_DrawImage71
CMP	R11, #0
IT	CC
BCC	L_OLED_DrawImage71
MOVS	R3, #0
IT	AL
BAL	L_OLED_DrawImage70
L_OLED_DrawImage71:
MOVS	R3, #1
L_OLED_DrawImage70:
CMP	R3, #0
IT	EQ
BEQ	L_OLED_DrawImage72
; image end address is: 0 (R0)
;OLED_driver.c,461 :: 		}
IT	AL
BAL	L_OLED_DrawImage73
L_OLED_DrawImage72:
;OLED_driver.c,464 :: 		OLED_Swap( screenBuf,  image + 6 , width * height );
; image start address is: 0 (R0)
MUL	R4, R1, R12
ADDS	R3, R0, #6
; image end address is: 0 (R0)
STRH	R1, [SP, #4]
UXTH	R2, R4
MOV	R1, R3
MOVW	R0, #lo_addr(OLED_driver_screenBuf+0)
MOVT	R0, #hi_addr(OLED_driver_screenBuf+0)
BL	OLED_driver_OLED_Swap+0
LDRH	R1, [SP, #4]
;OLED_driver.c,465 :: 		}
L_OLED_DrawImage73:
;OLED_driver.c,467 :: 		SetBorders( xCrd, yCrd, width, height );
STRH	R1, [SP, #4]
UXTB	R3, R12
UXTB	R2, R1
UXTB	R1, R11
; yCrd end address is: 44 (R11)
UXTB	R0, R10
; xCrd end address is: 40 (R10)
BL	OLED_driver_SetBorders+0
LDRH	R1, [SP, #4]
;OLED_driver.c,468 :: 		if ( OLED_STATUS_SUCCESS != OLED_SendData( screenBuf, width * height * OLED_BYTES_PER_PIXEL ) )
MUL	R3, R1, R12
UXTH	R3, R3
; height end address is: 48 (R12)
; width end address is: 4 (R1)
LSLS	R3, R3, #1
UXTH	R3, R3
UXTH	R1, R3
MOVW	R0, #lo_addr(OLED_driver_screenBuf+0)
MOVT	R0, #hi_addr(OLED_driver_screenBuf+0)
BL	_OLED_SendData+0
CMP	R0, #0
IT	EQ
BEQ	L_OLED_DrawImage74
;OLED_driver.c,470 :: 		return OLED_STATUS_PROTOCOL_ERROR;
MOVS	R0, #2
IT	AL
BAL	L_end_OLED_DrawImage
;OLED_driver.c,471 :: 		}
L_OLED_DrawImage74:
;OLED_driver.c,473 :: 		return OLED_STATUS_SUCCESS;
MOVS	R0, #0
;OLED_driver.c,474 :: 		}
L_end_OLED_DrawImage:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _OLED_DrawImage
_OLED_SetFont:
;OLED_driver.c,476 :: 		void OLED_SetFont(const uint8_t *activeFont, uint16_t font_color, uint8_t font_orientation)
; font_orientation start address is: 8 (R2)
; font_color start address is: 4 (R1)
; activeFont start address is: 0 (R0)
; font_orientation end address is: 8 (R2)
; font_color end address is: 4 (R1)
; activeFont end address is: 0 (R0)
; activeFont start address is: 0 (R0)
; font_color start address is: 4 (R1)
; font_orientation start address is: 8 (R2)
;OLED_driver.c,478 :: 		_font = activeFont;
MOVW	R3, #lo_addr(OLED_driver__font+0)
MOVT	R3, #hi_addr(OLED_driver__font+0)
STR	R0, [R3, #0]
;OLED_driver.c,479 :: 		_fontFirstChar = activeFont[2] + (activeFont[3] << 8);
ADDS	R3, R0, #2
LDRB	R4, [R3, #0]
ADDS	R3, R0, #3
LDRB	R3, [R3, #0]
LSLS	R3, R3, #8
UXTH	R3, R3
ADDS	R4, R4, R3
MOVW	R3, #lo_addr(OLED_driver__fontFirstChar+0)
MOVT	R3, #hi_addr(OLED_driver__fontFirstChar+0)
STRH	R4, [R3, #0]
;OLED_driver.c,480 :: 		_fontLastChar = activeFont[4] + (activeFont[5] << 8);
ADDS	R3, R0, #4
LDRB	R4, [R3, #0]
ADDS	R3, R0, #5
LDRB	R3, [R3, #0]
LSLS	R3, R3, #8
UXTH	R3, R3
ADDS	R4, R4, R3
MOVW	R3, #lo_addr(OLED_driver__fontLastChar+0)
MOVT	R3, #hi_addr(OLED_driver__fontLastChar+0)
STRH	R4, [R3, #0]
;OLED_driver.c,481 :: 		_fontHeight = activeFont[6];
ADDS	R3, R0, #6
; activeFont end address is: 0 (R0)
LDRB	R4, [R3, #0]
MOVW	R3, #lo_addr(OLED_driver__fontHeight+0)
MOVT	R3, #hi_addr(OLED_driver__fontHeight+0)
STRH	R4, [R3, #0]
;OLED_driver.c,483 :: 		FontColor = font_color;
MOVW	R3, #lo_addr(OLED_driver_FontColor+0)
MOVT	R3, #hi_addr(OLED_driver_FontColor+0)
STRH	R1, [R3, #0]
; font_color end address is: 4 (R1)
;OLED_driver.c,484 :: 		FontOrientation = font_orientation;
MOVW	R3, #lo_addr(OLED_driver_FontOrientation+0)
MOVT	R3, #hi_addr(OLED_driver_FontOrientation+0)
STRB	R2, [R3, #0]
; font_orientation end address is: 8 (R2)
;OLED_driver.c,485 :: 		FontInitialized = 1;
MOVS	R4, #1
MOVW	R3, #lo_addr(OLED_driver_FontInitialized+0)
MOVT	R3, #hi_addr(OLED_driver_FontInitialized+0)
STRB	R4, [R3, #0]
;OLED_driver.c,486 :: 		ExternalFontSet = 0;
MOVS	R4, #0
MOVW	R3, #lo_addr(_ExternalFontSet+0)
MOVT	R3, #hi_addr(_ExternalFontSet+0)
STRB	R4, [R3, #0]
;OLED_driver.c,487 :: 		}
L_end_OLED_SetFont:
BX	LR
; end of _OLED_SetFont
_OLED_WriteText:
;OLED_driver.c,489 :: 		void OLED_WriteText(uint8_t *text, uint16_t x, uint16_t y)
; y start address is: 8 (R2)
; x start address is: 4 (R1)
SUB	SP, SP, #12
STR	LR, [SP, #0]
STR	R0, [SP, #8]
; y end address is: 8 (R2)
; x end address is: 4 (R1)
; x start address is: 4 (R1)
; y start address is: 8 (R2)
;OLED_driver.c,493 :: 		if (x >= OLED_SCREEN_WIDTH)
CMP	R1, #96
IT	CC
BCC	L_OLED_WriteText75
; x end address is: 4 (R1)
; y end address is: 8 (R2)
;OLED_driver.c,495 :: 		return;
IT	AL
BAL	L_end_OLED_WriteText
;OLED_driver.c,496 :: 		}
L_OLED_WriteText75:
;OLED_driver.c,497 :: 		if (y >= OLED_SCREEN_HEIGHT)
; y start address is: 8 (R2)
; x start address is: 4 (R1)
CMP	R2, #96
IT	CC
BCC	L_OLED_WriteText76
; x end address is: 4 (R1)
; y end address is: 8 (R2)
;OLED_driver.c,499 :: 		return;
IT	AL
BAL	L_end_OLED_WriteText
;OLED_driver.c,500 :: 		}
L_OLED_WriteText76:
;OLED_driver.c,502 :: 		i = 0;
; y start address is: 8 (R2)
; x start address is: 4 (R1)
MOVS	R3, #0
STRH	R3, [SP, #4]
;OLED_driver.c,503 :: 		OLED_MoveCursor(x, y);
UXTH	R0, R1
; y end address is: 8 (R2)
UXTH	R1, R2
; x end address is: 4 (R1)
BL	OLED_driver_OLED_MoveCursor+0
;OLED_driver.c,504 :: 		while (text[i])
L_OLED_WriteText77:
LDRH	R4, [SP, #4]
LDR	R3, [SP, #8]
ADDS	R3, R3, R4
LDRB	R3, [R3, #0]
CMP	R3, #0
IT	EQ
BEQ	L_OLED_WriteText78
;OLED_driver.c,506 :: 		OLED_WriteChar(text[i++]);
LDRH	R4, [SP, #4]
LDR	R3, [SP, #8]
ADDS	R3, R3, R4
LDRB	R3, [R3, #0]
UXTH	R0, R3
BL	OLED_driver_OLED_WriteChar+0
LDRH	R3, [SP, #4]
ADDS	R3, R3, #1
STRH	R3, [SP, #4]
;OLED_driver.c,507 :: 		}
IT	AL
BAL	L_OLED_WriteText77
L_OLED_WriteText78:
;OLED_driver.c,508 :: 		}
L_end_OLED_WriteText:
LDR	LR, [SP, #0]
ADD	SP, SP, #12
BX	LR
; end of _OLED_WriteText
OLED_driver_OLED_MoveCursor:
;OLED_driver.c,509 :: 		static void OLED_MoveCursor(uint16_t _x, uint16_t _y)
; _y start address is: 4 (R1)
; _x start address is: 0 (R0)
; _y end address is: 4 (R1)
; _x end address is: 0 (R0)
; _x start address is: 0 (R0)
; _y start address is: 4 (R1)
;OLED_driver.c,511 :: 		x_cord = _x;
MOVW	R2, #lo_addr(OLED_driver_x_cord+0)
MOVT	R2, #hi_addr(OLED_driver_x_cord+0)
STRH	R0, [R2, #0]
; _x end address is: 0 (R0)
;OLED_driver.c,512 :: 		y_cord = _y;
MOVW	R2, #lo_addr(OLED_driver_y_cord+0)
MOVT	R2, #hi_addr(OLED_driver_y_cord+0)
STRH	R1, [R2, #0]
; _y end address is: 4 (R1)
;OLED_driver.c,513 :: 		}
L_end_OLED_MoveCursor:
BX	LR
; end of OLED_driver_OLED_MoveCursor
OLED_driver_OLED_WriteChar:
;OLED_driver.c,515 :: 		static void OLED_WriteChar(uint16_t ch)
; ch start address is: 0 (R0)
SUB	SP, SP, #20
STR	LR, [SP, #0]
UXTH	R5, R0
; ch end address is: 0 (R0)
; ch start address is: 20 (R5)
;OLED_driver.c,517 :: 		uint8_t chWidth = 0;
;OLED_driver.c,520 :: 		uint16_t x = 0;
MOVW	R1, #0
STRH	R1, [SP, #16]
MOVS	R1, #0
STRB	R1, [SP, #18]
;OLED_driver.c,522 :: 		uint8_t temp = 0;
;OLED_driver.c,529 :: 		if(FontInitialized == 0)
MOVW	R1, #lo_addr(OLED_driver_FontInitialized+0)
MOVT	R1, #hi_addr(OLED_driver_FontInitialized+0)
LDRB	R1, [R1, #0]
CMP	R1, #0
IT	NE
BNE	L_OLED_driver_OLED_WriteChar79
;OLED_driver.c,531 :: 		OLED_SetFont(guiFont_Tahoma_8_Regular, OLED_COLOR_BLACK, FO_HORIZONTAL); //default font
MOVW	R1, #lo_addr(_guiFont_Tahoma_8_Regular+0)
MOVT	R1, #hi_addr(_guiFont_Tahoma_8_Regular+0)
MOVS	R2, #0
MOV	R0, R1
MOVW	R1, #0
BL	_OLED_SetFont+0
;OLED_driver.c,532 :: 		FontInitialized = 1;
MOVS	R2, #1
MOVW	R1, #lo_addr(OLED_driver_FontInitialized+0)
MOVT	R1, #hi_addr(OLED_driver_FontInitialized+0)
STRB	R2, [R1, #0]
;OLED_driver.c,533 :: 		}
L_OLED_driver_OLED_WriteChar79:
;OLED_driver.c,535 :: 		if (ch < _fontFirstChar)
MOVW	R1, #lo_addr(OLED_driver__fontFirstChar+0)
MOVT	R1, #hi_addr(OLED_driver__fontFirstChar+0)
LDRH	R1, [R1, #0]
CMP	R5, R1
IT	CS
BCS	L_OLED_driver_OLED_WriteChar80
; ch end address is: 20 (R5)
;OLED_driver.c,537 :: 		return;
IT	AL
BAL	L_end_OLED_WriteChar
;OLED_driver.c,538 :: 		}
L_OLED_driver_OLED_WriteChar80:
;OLED_driver.c,539 :: 		if (ch > _fontLastChar)
; ch start address is: 20 (R5)
MOVW	R1, #lo_addr(OLED_driver__fontLastChar+0)
MOVT	R1, #hi_addr(OLED_driver__fontLastChar+0)
LDRH	R1, [R1, #0]
CMP	R5, R1
IT	LS
BLS	L_OLED_driver_OLED_WriteChar81
; ch end address is: 20 (R5)
;OLED_driver.c,541 :: 		return;
IT	AL
BAL	L_end_OLED_WriteChar
;OLED_driver.c,542 :: 		}
L_OLED_driver_OLED_WriteChar81:
;OLED_driver.c,545 :: 		tmp = (ch - _fontFirstChar) << 2;
; ch start address is: 20 (R5)
MOVW	R1, #lo_addr(OLED_driver__fontFirstChar+0)
MOVT	R1, #hi_addr(OLED_driver__fontFirstChar+0)
LDRH	R1, [R1, #0]
SUB	R1, R5, R1
UXTH	R1, R1
; ch end address is: 20 (R5)
LSLS	R2, R1, #2
UXTH	R2, R2
;OLED_driver.c,546 :: 		pChTable = _font + 8 + tmp;
MOVW	R3, #lo_addr(OLED_driver__font+0)
MOVT	R3, #hi_addr(OLED_driver__font+0)
LDR	R1, [R3, #0]
ADDS	R1, #8
ADDS	R1, R1, R2
; pChTable start address is: 0 (R0)
MOV	R0, R1
;OLED_driver.c,547 :: 		chWidth = *pChTable;
LDRB	R10, [R0, #0]
; chWidth start address is: 40 (R10)
;OLED_driver.c,549 :: 		offset = (uint32_t) pChTable[1] + ((uint32_t)pChTable[2] << 8) + ((uint32_t)pChTable[3] << 16);
ADDS	R1, R0, #1
LDRB	R1, [R1, #0]
UXTB	R2, R1
ADDS	R1, R0, #2
LDRB	R1, [R1, #0]
LSLS	R1, R1, #8
ADDS	R2, R2, R1
ADDS	R1, R0, #3
; pChTable end address is: 0 (R0)
LDRB	R1, [R1, #0]
LSLS	R1, R1, #16
ADDS	R2, R2, R1
;OLED_driver.c,550 :: 		pChBitMap = _font + offset;
MOV	R1, R3
LDR	R1, [R1, #0]
ADDS	R1, R1, R2
STR	R1, [SP, #12]
;OLED_driver.c,552 :: 		if (((FontOrientation == FO_HORIZONTAL) || (FontOrientation == FO_VERTICAL_COLUMN)) != 0)
MOVW	R1, #lo_addr(OLED_driver_FontOrientation+0)
MOVT	R1, #hi_addr(OLED_driver_FontOrientation+0)
LDRB	R1, [R1, #0]
CMP	R1, #0
IT	EQ
BEQ	L_OLED_driver_OLED_WriteChar83
MOVW	R1, #lo_addr(OLED_driver_FontOrientation+0)
MOVT	R1, #hi_addr(OLED_driver_FontOrientation+0)
LDRB	R1, [R1, #0]
CMP	R1, #2
IT	EQ
BEQ	L_OLED_driver_OLED_WriteChar83
MOVS	R1, #0
IT	AL
BAL	L_OLED_driver_OLED_WriteChar82
L_OLED_driver_OLED_WriteChar83:
MOVS	R1, #1
L_OLED_driver_OLED_WriteChar82:
CMP	R1, #0
IT	EQ
BEQ	L_OLED_driver_OLED_WriteChar84
;OLED_driver.c,554 :: 		y = y_cord;
MOVW	R1, #lo_addr(OLED_driver_y_cord+0)
MOVT	R1, #hi_addr(OLED_driver_y_cord+0)
LDRH	R1, [R1, #0]
STRH	R1, [SP, #8]
;OLED_driver.c,555 :: 		for (yCnt = 0; yCnt < _fontHeight; yCnt++)
; yCnt start address is: 44 (R11)
MOVW	R11, #0
; chWidth end address is: 40 (R10)
; yCnt end address is: 44 (R11)
UXTB	R2, R10
UXTB	R0, R11
L_OLED_driver_OLED_WriteChar85:
; yCnt start address is: 0 (R0)
; chWidth start address is: 8 (R2)
MOVW	R1, #lo_addr(OLED_driver__fontHeight+0)
MOVT	R1, #hi_addr(OLED_driver__fontHeight+0)
LDRH	R1, [R1, #0]
CMP	R0, R1
IT	CS
BCS	L_OLED_driver_OLED_WriteChar86
;OLED_driver.c,557 :: 		x = x_cord;
MOVW	R1, #lo_addr(OLED_driver_x_cord+0)
MOVT	R1, #hi_addr(OLED_driver_x_cord+0)
LDRH	R1, [R1, #0]
STRH	R1, [SP, #16]
;OLED_driver.c,558 :: 		mask = 0;
; mask start address is: 16 (R4)
MOVS	R4, #0
;OLED_driver.c,559 :: 		for (xCnt = 0; xCnt < chWidth; xCnt++)
; xCnt start address is: 48 (R12)
MOVW	R12, #0
; yCnt end address is: 0 (R0)
; chWidth end address is: 8 (R2)
; xCnt end address is: 48 (R12)
; mask end address is: 16 (R4)
UXTB	R11, R12
UXTB	R12, R0
UXTB	R10, R2
L_OLED_driver_OLED_WriteChar88:
; xCnt start address is: 44 (R11)
; mask start address is: 16 (R4)
; chWidth start address is: 40 (R10)
; yCnt start address is: 48 (R12)
CMP	R11, R10
IT	CS
BCS	L_OLED_driver_OLED_WriteChar89
;OLED_driver.c,561 :: 		if (mask == 0)
CMP	R4, #0
IT	NE
BNE	L_OLED_driver_OLED_WriteChar104
; mask end address is: 16 (R4)
;OLED_driver.c,563 :: 		temp = *(pChBitMap++);
LDR	R1, [SP, #12]
LDRB	R1, [R1, #0]
STRB	R1, [SP, #18]
LDR	R1, [SP, #12]
ADDS	R1, R1, #1
STR	R1, [SP, #12]
;OLED_driver.c,564 :: 		mask = 0x01;
; mask start address is: 16 (R4)
MOVS	R4, #1
; mask end address is: 16 (R4)
UXTB	R0, R4
;OLED_driver.c,565 :: 		}
IT	AL
BAL	L_OLED_driver_OLED_WriteChar91
L_OLED_driver_OLED_WriteChar104:
;OLED_driver.c,561 :: 		if (mask == 0)
UXTB	R0, R4
;OLED_driver.c,565 :: 		}
L_OLED_driver_OLED_WriteChar91:
;OLED_driver.c,567 :: 		if ((temp & mask) != 0)
; mask start address is: 0 (R0)
LDRB	R1, [SP, #18]
ANDS	R1, R0
UXTB	R1, R1
CMP	R1, #0
IT	EQ
BEQ	L_OLED_driver_OLED_WriteChar92
;OLED_driver.c,569 :: 		OLED_DrawPixel(x, y, FontColor);
MOVW	R1, #lo_addr(OLED_driver_FontColor+0)
MOVT	R1, #hi_addr(OLED_driver_FontColor+0)
LDRH	R1, [R1, #0]
STRB	R0, [SP, #4]
UXTH	R2, R1
LDRH	R1, [SP, #8]
LDRH	R0, [SP, #16]
BL	_OLED_DrawPixel+0
LDRB	R0, [SP, #4]
;OLED_driver.c,570 :: 		}
L_OLED_driver_OLED_WriteChar92:
;OLED_driver.c,572 :: 		x++;
LDRH	R1, [SP, #16]
ADDS	R1, R1, #1
STRH	R1, [SP, #16]
;OLED_driver.c,573 :: 		mask <<= 1;
LSLS	R1, R0, #1
; mask end address is: 0 (R0)
; mask start address is: 16 (R4)
UXTB	R4, R1
;OLED_driver.c,559 :: 		for (xCnt = 0; xCnt < chWidth; xCnt++)
ADD	R1, R11, #1
UXTB	R1, R1
; xCnt end address is: 44 (R11)
; xCnt start address is: 4 (R1)
;OLED_driver.c,574 :: 		}
; mask end address is: 16 (R4)
; xCnt end address is: 4 (R1)
UXTB	R11, R1
IT	AL
BAL	L_OLED_driver_OLED_WriteChar88
L_OLED_driver_OLED_WriteChar89:
;OLED_driver.c,575 :: 		y++;
LDRH	R1, [SP, #8]
ADDS	R1, R1, #1
STRH	R1, [SP, #8]
;OLED_driver.c,555 :: 		for (yCnt = 0; yCnt < _fontHeight; yCnt++)
ADD	R11, R12, #1
UXTB	R11, R11
; yCnt end address is: 48 (R12)
; yCnt start address is: 44 (R11)
;OLED_driver.c,576 :: 		}
UXTB	R2, R10
; chWidth end address is: 40 (R10)
; yCnt end address is: 44 (R11)
UXTB	R0, R11
IT	AL
BAL	L_OLED_driver_OLED_WriteChar85
L_OLED_driver_OLED_WriteChar86:
;OLED_driver.c,577 :: 		if (FontOrientation == FO_HORIZONTAL)
MOVW	R1, #lo_addr(OLED_driver_FontOrientation+0)
MOVT	R1, #hi_addr(OLED_driver_FontOrientation+0)
LDRB	R1, [R1, #0]
CMP	R1, #0
IT	NE
BNE	L_OLED_driver_OLED_WriteChar93
;OLED_driver.c,579 :: 		x_cord = x + 1;
LDRH	R1, [SP, #16]
ADDS	R2, R1, #1
MOVW	R1, #lo_addr(OLED_driver_x_cord+0)
MOVT	R1, #hi_addr(OLED_driver_x_cord+0)
STRH	R2, [R1, #0]
;OLED_driver.c,580 :: 		}
IT	AL
BAL	L_OLED_driver_OLED_WriteChar94
L_OLED_driver_OLED_WriteChar93:
;OLED_driver.c,583 :: 		y_cord = y;
LDRH	R2, [SP, #8]
MOVW	R1, #lo_addr(OLED_driver_y_cord+0)
MOVT	R1, #hi_addr(OLED_driver_y_cord+0)
STRH	R2, [R1, #0]
;OLED_driver.c,584 :: 		}
L_OLED_driver_OLED_WriteChar94:
;OLED_driver.c,585 :: 		}
IT	AL
BAL	L_OLED_driver_OLED_WriteChar95
L_OLED_driver_OLED_WriteChar84:
;OLED_driver.c,588 :: 		y = x_cord;
; chWidth start address is: 40 (R10)
MOVW	R1, #lo_addr(OLED_driver_x_cord+0)
MOVT	R1, #hi_addr(OLED_driver_x_cord+0)
LDRH	R1, [R1, #0]
STRH	R1, [SP, #8]
;OLED_driver.c,589 :: 		for (yCnt = 0; yCnt < _fontHeight; yCnt++)
; yCnt start address is: 44 (R11)
MOVW	R11, #0
; chWidth end address is: 40 (R10)
; yCnt end address is: 44 (R11)
UXTB	R2, R10
UXTB	R0, R11
L_OLED_driver_OLED_WriteChar96:
; yCnt start address is: 0 (R0)
; chWidth start address is: 8 (R2)
MOVW	R1, #lo_addr(OLED_driver__fontHeight+0)
MOVT	R1, #hi_addr(OLED_driver__fontHeight+0)
LDRH	R1, [R1, #0]
CMP	R0, R1
IT	CS
BCS	L_OLED_driver_OLED_WriteChar97
;OLED_driver.c,591 :: 		x = y_cord;
MOVW	R1, #lo_addr(OLED_driver_y_cord+0)
MOVT	R1, #hi_addr(OLED_driver_y_cord+0)
LDRH	R1, [R1, #0]
STRH	R1, [SP, #16]
;OLED_driver.c,592 :: 		mask = 0;
; mask start address is: 16 (R4)
MOVS	R4, #0
;OLED_driver.c,593 :: 		for (xCnt = 0; xCnt < chWidth; xCnt++)
; xCnt start address is: 48 (R12)
MOVW	R12, #0
; yCnt end address is: 0 (R0)
; chWidth end address is: 8 (R2)
; xCnt end address is: 48 (R12)
; mask end address is: 16 (R4)
UXTB	R11, R12
UXTB	R12, R0
UXTB	R10, R2
L_OLED_driver_OLED_WriteChar99:
; xCnt start address is: 44 (R11)
; mask start address is: 16 (R4)
; chWidth start address is: 40 (R10)
; yCnt start address is: 48 (R12)
CMP	R11, R10
IT	CS
BCS	L_OLED_driver_OLED_WriteChar100
;OLED_driver.c,595 :: 		if (mask == 0)
CMP	R4, #0
IT	NE
BNE	L_OLED_driver_OLED_WriteChar105
; mask end address is: 16 (R4)
;OLED_driver.c,597 :: 		temp = *(pChBitMap++);
LDR	R1, [SP, #12]
LDRB	R1, [R1, #0]
STRB	R1, [SP, #18]
LDR	R1, [SP, #12]
ADDS	R1, R1, #1
STR	R1, [SP, #12]
;OLED_driver.c,598 :: 		mask = 0x01;
; mask start address is: 16 (R4)
MOVS	R4, #1
; mask end address is: 16 (R4)
UXTB	R0, R4
;OLED_driver.c,599 :: 		}
IT	AL
BAL	L_OLED_driver_OLED_WriteChar102
L_OLED_driver_OLED_WriteChar105:
;OLED_driver.c,595 :: 		if (mask == 0)
UXTB	R0, R4
;OLED_driver.c,599 :: 		}
L_OLED_driver_OLED_WriteChar102:
;OLED_driver.c,601 :: 		if (temp & mask)
; mask start address is: 0 (R0)
LDRB	R1, [SP, #18]
ANDS	R1, R0
UXTB	R1, R1
CMP	R1, #0
IT	EQ
BEQ	L_OLED_driver_OLED_WriteChar103
;OLED_driver.c,603 :: 		OLED_DrawPixel(y, x, FontColor);
MOVW	R1, #lo_addr(OLED_driver_FontColor+0)
MOVT	R1, #hi_addr(OLED_driver_FontColor+0)
LDRH	R1, [R1, #0]
STRB	R0, [SP, #4]
UXTH	R2, R1
LDRH	R1, [SP, #16]
LDRH	R0, [SP, #8]
BL	_OLED_DrawPixel+0
LDRB	R0, [SP, #4]
;OLED_driver.c,604 :: 		}
L_OLED_driver_OLED_WriteChar103:
;OLED_driver.c,606 :: 		x--;
LDRH	R1, [SP, #16]
SUBS	R1, R1, #1
STRH	R1, [SP, #16]
;OLED_driver.c,607 :: 		mask <<= 1;
LSLS	R1, R0, #1
; mask end address is: 0 (R0)
; mask start address is: 16 (R4)
UXTB	R4, R1
;OLED_driver.c,593 :: 		for (xCnt = 0; xCnt < chWidth; xCnt++)
ADD	R1, R11, #1
; xCnt end address is: 44 (R11)
; xCnt start address is: 4 (R1)
;OLED_driver.c,608 :: 		}
; mask end address is: 16 (R4)
; xCnt end address is: 4 (R1)
UXTB	R11, R1
IT	AL
BAL	L_OLED_driver_OLED_WriteChar99
L_OLED_driver_OLED_WriteChar100:
;OLED_driver.c,610 :: 		y++;
LDRH	R1, [SP, #8]
ADDS	R1, R1, #1
STRH	R1, [SP, #8]
;OLED_driver.c,589 :: 		for (yCnt = 0; yCnt < _fontHeight; yCnt++)
ADD	R1, R12, #1
; yCnt end address is: 48 (R12)
; yCnt start address is: 44 (R11)
UXTB	R11, R1
;OLED_driver.c,611 :: 		}
UXTB	R2, R10
; chWidth end address is: 40 (R10)
; yCnt end address is: 44 (R11)
UXTB	R0, R11
IT	AL
BAL	L_OLED_driver_OLED_WriteChar96
L_OLED_driver_OLED_WriteChar97:
;OLED_driver.c,612 :: 		y_cord = x - 1;
LDRH	R1, [SP, #16]
SUBS	R2, R1, #1
MOVW	R1, #lo_addr(OLED_driver_y_cord+0)
MOVT	R1, #hi_addr(OLED_driver_y_cord+0)
STRH	R2, [R1, #0]
;OLED_driver.c,613 :: 		}
L_OLED_driver_OLED_WriteChar95:
;OLED_driver.c,614 :: 		}
L_end_OLED_WriteChar:
LDR	LR, [SP, #0]
ADD	SP, SP, #20
BX	LR
; end of OLED_driver_OLED_WriteChar
