#line 1 "C:/Users/katarina.perendic/Desktop/hexi_work/Hexiwear_workstation_demo/c/OLED/OLED_driver.c"
#line 1 "c:/users/katarina.perendic/desktop/hexi_work/hexiwear_workstation_demo/c/oled/oled_driver.h"
#line 1 "c:/users/katarina.perendic/desktop/hexi_work/hexiwear_workstation_demo/c/oled/oled_resources.h"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for arm/include/stdint.h"





typedef signed char int8_t;
typedef signed int int16_t;
typedef signed long int int32_t;
typedef signed long long int64_t;


typedef unsigned char uint8_t;
typedef unsigned int uint16_t;
typedef unsigned long int uint32_t;
typedef unsigned long long uint64_t;


typedef signed char int_least8_t;
typedef signed int int_least16_t;
typedef signed long int int_least32_t;
typedef signed long long int_least64_t;


typedef unsigned char uint_least8_t;
typedef unsigned int uint_least16_t;
typedef unsigned long int uint_least32_t;
typedef unsigned long long uint_least64_t;



typedef signed long int int_fast8_t;
typedef signed long int int_fast16_t;
typedef signed long int int_fast32_t;
typedef signed long long int_fast64_t;


typedef unsigned long int uint_fast8_t;
typedef unsigned long int uint_fast16_t;
typedef unsigned long int uint_fast32_t;
typedef unsigned long long uint_fast64_t;


typedef signed long int intptr_t;
typedef unsigned long int uintptr_t;


typedef signed long long intmax_t;
typedef unsigned long long uintmax_t;
#line 3 "c:/users/katarina.perendic/desktop/hexi_work/hexiwear_workstation_demo/c/oled/oled_resources.h"
extern const uint8_t guiFont_Tahoma_18_Regular[5525];
extern const uint8_t guiFont_Tahoma_16_Regular[4617];
extern const uint8_t guiFont_Tahoma_14_Regular[4049];
extern const uint8_t guiFont_Tahoma_10_Regular[2040];
extern const uint8_t guiFont_Tahoma_8_Regular[1679];
extern const uint8_t guiFont_Tahoma_7_Regular[1459];
extern const uint8_t guiFont_Tahoma_6_Regular[1352];
extern const uint8_t guiFont_Roboto_Mono11x23_Regular[4417];
extern const uint8_t guiFont_Exo_2_Condensed10x16_Regular[2000];
extern const uint8_t guiFont_Exo_2_Condensed15x23_Regular[3014];
extern const uint8_t guiFont_Exo_2_Condensed21x32_Regular[5832];

extern const uint8_t hexiwearLogo_bmp[18438];
#line 4 "c:/users/katarina.perendic/desktop/hexi_work/hexiwear_workstation_demo/c/oled/oled_driver.h"
uint8_t OLED_Init();
uint8_t OLED_setCmdFunctions();
uint8_t OLED_setRemap();

uint8_t OLED_DrawBox ( uint16_t xCrd, uint16_t yCrd, uint16_t width, uint16_t height);
uint8_t OLED_FillScreen( uint16_t color );
uint8_t OLED_DrawPixel ( int16_t xCrd, int16_t yCrd, uint16_t color );
uint8_t OLED_AddText( const uint8_t* text );
uint8_t OLED_DrawImage (const uint8_t* image, uint8_t xCrd, uint8_t yCrd);

uint8_t OLED_GetTextWidth(const uint8_t* text);
uint8_t OLED_CharCount(uint8_t width, const uint8_t* font, const uint8_t* text, uint8_t length);

void OLED_SetFont(const uint8_t *activeFont, uint16_t font_color, uint8_t font_orientation);
void OLED_WriteText(uint8_t *text, uint16_t x, uint16_t y);
void OLED_GetImageDimensions(uint8_t *width, uint8_t *height, const uint8_t* image);
#line 1 "c:/users/katarina.perendic/desktop/hexi_work/hexiwear_workstation_demo/c/oled/oled_info.h"

const uint8_t FIRST_BYTE = 1;
const uint8_t OTHER_BYTE = 0;

const uint8_t OLED_COLUMN_OFFSET = 16;
const uint8_t OLED_ROW_OFFSET = 0;
const uint8_t OLED_SCREEN_WIDTH = 96;
const uint8_t OLED_SCREEN_HEIGHT = 96;

const uint8_t OLED_SCREEN_WIDTH_END = ( OLED_SCREEN_WIDTH - 1 ) + OLED_COLUMN_OFFSET;
const uint8_t OLED_SCREEN_HEIGHT_END = ( OLED_SCREEN_HEIGHT - 1 ) + OLED_ROW_OFFSET;

const uint8_t OLED_BYTES_PER_PIXEL = 2;
const uint8_t OLED_TRANSITION_STEP = 1;
const uint8_t OLED_ACTION_DCON = 0xFE;
const uint8_t OLED_ACTION_DCOFF = 0xFF;

const uint8_t OLED_CHAR_WIDTH_AUTO = 0xFF;
const uint8_t OLED_CHAR_WIDTH_MAX = 0xFE;
const uint8_t OLED_CHAR_WIDTH_NUM = 0xFD;
const uint8_t OLED_CHAR_WIDTH_KEEP = 0xFC;
const uint8_t OLED_CHAR_HEIGHT_AUTO = 0xFB;
const uint8_t OLED_CHAR_HEIGHT_KEEP = 0xFA;

const uint16_t OLED_SCREEN_SIZE = OLED_SCREEN_WIDTH * OLED_SCREEN_HEIGHT;
const uint16_t OLED_GRAM_SIZE = OLED_SCREEN_WIDTH * OLED_SCREEN_HEIGHT * OLED_BYTES_PER_PIXEL;

const uint8_t OLED_TEXT_HALIGN_SHIFT = 0;
const uint8_t OLED_TEXT_HALIGN_MASK = 0x03 << OLED_TEXT_HALIGN_SHIFT;
const uint8_t OLED_TEXT_VALIGN_SHIFT = 4;
const uint8_t OLED_TEXT_VALIGN_MASK = 0x03 << OLED_TEXT_VALIGN_SHIFT;


const uint8_t REMAP_HORIZONTAL_INCREMENT = 0;
const uint8_t REMAP_VERTICAL_INCREMENT = 1;
const uint8_t REMAP_COLUMNS_LEFT_TO_RIGHT = 0;
const uint8_t REMAP_COLUMNS_RIGHT_TO_LEFT = 1 << 1;
const uint8_t REMAP_ORDER_ABC = 0;
const uint8_t REMAP_ORDER_CBA = 1 << 2;
const uint8_t REMAP_SCAN_UP_TO_DOWN = 0;
const uint8_t REMAP_SCAN_DOWN_TO_UP = 1 << 4;
const uint8_t REMAP_COM_SPLIT_ODD_EVEN_DIS = 0;
const uint8_t REMAP_COM_SPLIT_ODD_EVEN_EN = 1 << 5;
const uint8_t REMAP_COLOR_RGB565 = 1 << 6;


const uint8_t OLED_CMD_SET_COLUMN = 0x15;
const uint8_t OLED_CMD_SET_ROW = 0x75;

const uint8_t OLED_DIRECTION_HORIZONTAL = 0;
const uint8_t OLED_DIRECTION_VERTICAL = 1;


const uint8_t OLED_CMD_SET_DISPLAY_MODE_ALL_OFF = 0xA4;
const uint8_t OLED_CMD_SET_DISPLAY_MODE_ALL_ON = 0xA5;
const uint8_t OLED_CMD_SET_DISPLAY_MODE_NORMAL = 0xA6;
const uint8_t OLED_CMD_SET_DISPLAY_MODE_INVERSE = 0xA7;

const uint8_t OLED_CMD_SET_CMD_LOCK = 0xFD;
const uint8_t OLED_UNLOCK = 0x12;
const uint8_t OLED_LOCK = 0x16;
const uint8_t OLED_ACC_TO_CMD_NO = 0xB0;
const uint8_t OLED_ACC_TO_CMD_YES = 0xB1;

const uint8_t OLED_CMD_NOP = 0xD1;
const uint8_t OLED_CMD_SET_MUX_RATIO = 0xCA;

const uint8_t OLED_CMD_SET_REMAP = 0xA0;


const uint8_t OLED_ADDR_INC_HOR = 0x00;
const uint8_t OLED_ADDR_INC_VER = 0x01;
const uint8_t OLED_COLUMN_ADDR_REMAP_0_TO_SEG0 = 0x00;
const uint8_t OLED_COLUMN_ADDR_REMAP_127_TO_SEG0 = 0x02;


const uint8_t OLED_COLOR_SEQ_A_B_C = 0x00;
const uint8_t OLED_COLOR_SEQ_C_B_A = 0x04;


const uint8_t OLED_SCAN_FROM_COM_0_TO_MR = 0x00;
const uint8_t OLED_SCAN_FROM_COM_MR_TO_0 = 0x10;


const uint8_t OLED_COM_SPLIT_DISABLE = 0x00;
const uint8_t OLED_COM_SPLIT_ENABLE = 0x20;


const uint8_t OLED_COLOR_DEPTH_256 = 0x00;
const uint8_t OLED_COLOR_DEPTH_65K = 0x40;
const uint8_t OLED_COLOR_DEPTH_262K_1 = 0x80;
const uint8_t OLED_COLOR_DEPTH_262K_2 = 0xC0;

const uint8_t OLED_CMD_SET_RESET_AND_PRECHARGE_PERIOD = 0xB1;

const uint8_t OLED_RESET_PERIOD_5 = 0x02;
const uint8_t OLED_RESET_PERIOD_7 = 0x03;
const uint8_t OLED_RESET_PERIOD_9 = 0x04;
const uint8_t OLED_RESET_PERIOD_11 = 0x05;
const uint8_t OLED_RESET_PERIOD_13 = 0x06;
const uint8_t OLED_RESET_PERIOD_15 = 0x07;
const uint8_t OLED_RESET_PERIOD_17 = 0x08;
const uint8_t OLED_RESET_PERIOD_19 = 0x09;
const uint8_t OLED_RESET_PERIOD_21 = 0x0A;
const uint8_t OLED_RESET_PERIOD_23 = 0x0B;
const uint8_t OLED_RESET_PERIOD_25 = 0x0C;
const uint8_t OLED_RESET_PERIOD_27 = 0x0D;
const uint8_t OLED_RESET_PERIOD_29 = 0x0E;
const uint8_t OLED_RESET_PERIOD_31 = 0x0F;

const uint8_t OLED_PRECHARGE_PERIOD_3 = 0x03;
const uint8_t OLED_PRECHARGE_PERIOD_4 = 0x04;
const uint8_t OLED_PRECHARGE_PERIOD_5 = 0x05;
const uint8_t OLED_PRECHARGE_PERIOD_6 = 0x06;
const uint8_t OLED_PRECHARGE_PERIOD_7 = 0x07;
const uint8_t OLED_PRECHARGE_PERIOD_8 = 0x08;
const uint8_t OLED_PRECHARGE_PERIOD_9 = 0x09;
const uint8_t OLED_PRECHARGE_PERIOD_10 = 0x0A;
const uint8_t OLED_PRECHARGE_PERIOD_11 = 0x0B;
const uint8_t OLED_PRECHARGE_PERIOD_12 = 0x0C;
const uint8_t OLED_PRECHARGE_PERIOD_13 = 0x0D;
const uint8_t OLED_PRECHARGE_PERIOD_14 = 0x0E;
const uint8_t OLED_PRECHARGE_PERIOD_15 = 0x0F;

const uint8_t OLED_CMD_SET_OSC_FREQ_AND_CLOCKDIV = 0xB3;


const uint8_t OLED_CLOCKDIV_1 = 0x00;
const uint8_t OLED_CLOCKDIV_2 = 0x01;
const uint8_t OLED_CLOCKDIV_4 = 0x02;
const uint8_t OLED_CLOCKDIV_8 = 0x03;
const uint8_t OLED_CLOCKDIV_16 = 0x04;
const uint8_t OLED_CLOCKDIV_32 = 0x05;
const uint8_t OLED_CLOCKDIV_64 = 0x06;
const uint8_t OLED_CLOCKDIV_128 = 0x07;
const uint8_t OLED_CLOCKDIV_256 = 0x08;
const uint8_t OLED_CLOCKDIV_512 = 0x09;
const uint8_t OLED_CLOCKDIV_1024 = 0x0A;

const uint8_t OLED_OSC_FREQ = 0xB0;
const uint8_t OLED_CMD_STARTLINE = 0xA1;

const uint8_t OLED_CMD_WRITERAM = 0x5C;
const uint8_t OLED_CMD_READRAM = 0x5D;
const uint8_t OLED_CMD_DISPLAYOFFSET = 0xA2;
const uint8_t OLED_CMD_DISPLAYALLOFF = 0xA4;
const uint8_t OLED_CMD_DISPLAYALLON = 0xA5;
const uint8_t OLED_CMD_NORMALDISPLAY = 0xA6;
const uint8_t OLED_CMD_INVERTDISPLAY = 0xA7;
const uint8_t OLED_CMD_FUNCTIONSELECT = 0xAB;
const uint8_t OLED_CMD_DISPLAYOFF = 0xAE;
const uint8_t OLED_CMD_DISPLAYON = 0xAF;
const uint8_t OLED_CMD_PRECHARGE = 0xB1;
const uint8_t OLED_CMD_DISPLAYENHANCE = 0xB2;
const uint8_t OLED_CMD_SETVSL = 0xB4;
const uint8_t OLED_CMD_SETGPIO = 0xB5;
const uint8_t OLED_CMD_PRECHARGE2 = 0xB6;
const uint8_t OLED_CMD_SETGRAY = 0xB8;
const uint8_t OLED_CMD_USELUT = 0xB9;
const uint8_t OLED_CMD_PRECHARGELEVEL = 0xBB;
const uint8_t OLED_CMD_VCOMH = 0xBE;
const uint8_t OLED_CMD_CONTRASTABC = 0xC1;
const uint8_t OLED_CMD_CONTRASTMASTER = 0xC7;
const uint8_t OLED_CMD_MUXRATIO = 0xCA;
const uint8_t OLED_CMD_COMMANDLOCK = 0xFD;
const uint8_t OLED_CMD_HORIZSCROLL = 0x96;
const uint8_t OLED_CMD_STOPSCROLL = 0x9E;
const uint8_t OLED_CMD_STARTSCROLL = 0x9F;


const uint8_t OLED_STATUS_SUCCESS = 0;
const uint8_t OLED_STATUS_ERROR = 1;
const uint8_t OLED_STATUS_PROTOCOL_ERROR = 2;
const uint8_t OLED_STATUS_INIT_ERROR = 3;
const uint8_t OLED_STATUS_DEINIT_ERROR = 4;


const uint16_t OLED_COLOR_BLACK = 0x0000;
const uint16_t OLED_COLOR_BLUE_1 = 0x06FF;
const uint16_t OLED_COLOR_BLUE = 0x001F;
const uint16_t OLED_COLOR_RED = 0xF800;
const uint16_t OLED_COLOR_GREEN = 0x07E0;
const uint16_t OLED_COLOR_CYAN = 0x07FF;
const uint16_t OLED_COLOR_MAGENTA = 0xF81F;
const uint16_t OLED_COLOR_YELLOW = 0xFFE0;
const uint16_t OLED_COLOR_GRAY = 0x528A;
const uint16_t OLED_COLOR_WHITE = 0xFFFF;


const uint8_t OLED_TEXT_ALIGN_NONE = 0;
const uint8_t OLED_TEXT_ALIGN_LEFT = 0x1;
const uint8_t OLED_TEXT_ALIGN_RIGHT = 0x2;
const uint8_t OLED_TEXT_ALIGN_CENTER = 0x3;
const uint8_t OLED_TEXT_VALIGN_TOP = 0x10;
const uint8_t OLED_TEXT_VALIGN_BOTTOM = 0x20;
const uint8_t OLED_TEXT_VALIGN_CENTER = 0x30;


const uint8_t OLED_TRANSITION_NONE = 0;
const uint8_t OLED_TRANSITION_TOP_DOWN = 1;
const uint8_t OLED_TRANSITION_DOWN_TOP = 2;
const uint8_t OLED_TRANSITION_LEFT_RIGHT = 3;
const uint8_t OLED_TRANSITION_RIGHT_LEFT = 4;
#line 5 "C:/Users/katarina.perendic/Desktop/hexi_work/Hexiwear_workstation_demo/c/OLED/OLED_driver.c"
sbit OLED_Pwr_bit at PTC_PDOR.B13;
sbit OLED_DC_bit at PTD_PDOR.B15;
sbit OLED_RST_bit at PTE_PDOR.B6;
sbit OLED_CS_bit at PTB_PDOR.B20;

static uint8_t isFontInitialized = 0;
static uint8_t* selectedFont;

static uint16_t selectedFont_color;
static uint16_t selectedFont_firstChar;
static uint16_t selectedFont_lastChar;
static uint16_t selectedFont_height;

static uint8_t screenBuf[ OLED_GRAM_SIZE ];
static uint8_t currentChar_width = 0;
static uint8_t currentChar_height = 0;

static uint16_t FontColor;
static uint8_t FontOrientation;
const uint8_t FO_HORIZONTAL = 0;
const uint8_t FO_VERTICAL = 1;
const uint8_t FO_VERTICAL_COLUMN = 2;
char ExternalFontSet;
static uint8_t FontInitialized = 0;

static uint8_t* _font;
static uint16_t _fontFirstChar;
static uint16_t _fontLastChar;
static uint16_t _fontHeight;
static uint16_t x_cord;
static uint16_t y_cord;

static uint8_t OLED_REMAP_SETTINGS = REMAP_ORDER_ABC | REMAP_COM_SPLIT_ODD_EVEN_EN |
 REMAP_COLOR_RGB565 | REMAP_COLUMNS_LEFT_TO_RIGHT |
 REMAP_SCAN_UP_TO_DOWN | REMAP_HORIZONTAL_INCREMENT;


static void SetBorders(uint8_t xCrd, uint8_t yCrd, uint8_t width, uint8_t height);
static void OLED_Swap(uint16_t* imgDst, const uint8_t* imgSrc, uint16_t imgSize);

static void OLED_WriteChar(uint16_t ch);
static void OLED_MoveCursor(uint16_t _x, uint16_t _y);

void OLED_PowerOn()
{
 OLED_Pwr_bit = 1;
}

void OLED_PowerOff()
{
 OLED_Pwr_bit = 0;
}

uint8_t OLED_SendCmd (uint32_t cmd, uint8_t isFirst)
{
 if ( isFirst )
 {
 OLED_DC_bit = 0;
 }
 else
 {
 OLED_DC_bit = 1;
 }
 OLED_CS_bit = 0;
 SPI2_Write(cmd);
 OLED_CS_bit = 1;
 return OLED_STATUS_SUCCESS;
}


uint8_t OLED_Init()
{
 OLED_PowerOff();
 Delay_1ms();
 OLED_RST_bit = 0;
 Delay_1ms();
 OLED_RST_bit = 1;
 Delay_1ms();
 OLED_PowerOn();

 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_CMD_SET_CMD_LOCK, FIRST_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }
 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_UNLOCK, OTHER_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }

 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_CMD_SET_CMD_LOCK, FIRST_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }
 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_ACC_TO_CMD_YES, OTHER_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }

 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_CMD_DISPLAYOFF, FIRST_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }

 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_CMD_SET_OSC_FREQ_AND_CLOCKDIV, FIRST_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }
 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( 0xF1, OTHER_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }

 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_CMD_SET_MUX_RATIO, FIRST_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }
 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( 0x5F, OTHER_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }
}
uint8_t OLED_setRemap()
{
 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_CMD_SET_REMAP, FIRST_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }
 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_REMAP_SETTINGS, OTHER_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }

 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_CMD_SET_COLUMN, FIRST_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }
 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( 0x00, OTHER_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }
 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( 0x5F, OTHER_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }

 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_CMD_SET_ROW, FIRST_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }
 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( 0x00, OTHER_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }
 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( 0x5F, OTHER_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }

 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_CMD_STARTLINE, FIRST_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }
 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( 0x80, OTHER_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }

 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_CMD_DISPLAYOFFSET, FIRST_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }
 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( 0x60, OTHER_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }

 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_CMD_PRECHARGE, FIRST_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }
 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( 0x32, FIRST_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }

 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_CMD_VCOMH, FIRST_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }
 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( 0x05, FIRST_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }

 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_CMD_NORMALDISPLAY, FIRST_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }
}
uint8_t OLED_setCmdFunctions()
{

 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_CMD_CONTRASTABC, FIRST_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }
 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( 0x8A, OTHER_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }
 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( 0x51, OTHER_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }
 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( 0x8A, OTHER_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }

 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_CMD_CONTRASTMASTER, FIRST_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }
 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( 0xCF, OTHER_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }

 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_CMD_SETVSL, FIRST_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }
 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( 0xA0, OTHER_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }
 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( 0xB5, OTHER_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }
 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( 0x55, OTHER_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }

 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_CMD_PRECHARGE2, FIRST_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }
 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( 0x01, OTHER_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }

 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_CMD_DISPLAYON, FIRST_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }

 return OLED_STATUS_SUCCESS;
}

uint8_t OLED_SendData(const uint8_t* dataToSend,uint32_t dataSize)
{
 uint8_t spiStatus;
 const uint8_t* bufPtr;

 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_CMD_WRITERAM, FIRST_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }
 OLED_DC_bit = 1;
 OLED_CS_bit = 0;

 bufPtr = dataToSend;

 while(dataSize--)
 {
 SPI2_Write(*(bufPtr++));
 }

 OLED_CS_bit = 1;
 return OLED_STATUS_SUCCESS;
}

uint8_t OLED_DrawBox ( uint16_t xCrd, uint16_t yCrd, uint16_t width, uint16_t height )
{
 uint8_t status = OLED_STATUS_SUCCESS;
 uint32_t boxSize;
 uint16_t color = 0x0000;

 boxSize = width*height;


 if (0 != ((( xCrd + width - 1 ) > OLED_SCREEN_WIDTH ) || ( xCrd < 0 ) || ( ( yCrd + height - 1 ) > OLED_SCREEN_HEIGHT ) || ( yCrd < 0 )))
 {
 status = OLED_STATUS_INIT_ERROR;
 }
 else
 {
 uint16_t cnt;
 xCrd += OLED_COLUMN_OFFSET;
 yCrd += OLED_ROW_OFFSET;

 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_CMD_SET_COLUMN, FIRST_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }
 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( xCrd, OTHER_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }
 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( xCrd + (width-1), OTHER_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }

 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_CMD_SET_ROW, FIRST_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }
 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( yCrd, OTHER_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }
 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( yCrd + (height-1), OTHER_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }

 if ( OLED_STATUS_SUCCESS != OLED_SendCmd( OLED_CMD_WRITERAM, FIRST_BYTE ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }

 OLED_DC_bit = 1;
 OLED_CS_bit = 0;
 for(cnt = 0; cnt < boxSize; cnt++)
 {
 SPI2_Write(color >> 8);
 SPI2_Write(color);
 }
 OLED_CS_bit = 1;

 status = OLED_STATUS_SUCCESS;
 }

 return status;
}
uint8_t OLED_FillScreen( uint16_t color )
{
 return OLED_DrawBox(0, 0, 96, 96);
}

uint8_t OLED_DrawPixel (int16_t xCrd, int16_t yCrd, uint16_t color)
{

 if (0 != ( xCrd > OLED_SCREEN_WIDTH ))
 {
 return OLED_STATUS_INIT_ERROR;
 }
 if (0 != ( xCrd < 0 ))
 {
 return OLED_STATUS_INIT_ERROR;
 }
 if (0 != ( yCrd > OLED_SCREEN_HEIGHT ))
 {
 return OLED_STATUS_INIT_ERROR;
 }
 if (0 != ( yCrd < 0 ))
 {
 return OLED_STATUS_INIT_ERROR;
 }
 else
 {
 uint16_t dot = color;
 SetBorders( xCrd, yCrd, OLED_SCREEN_WIDTH, OLED_SCREEN_HEIGHT);

 dot = (( dot & 0xFF00 ) >> 8 ) | ( ( dot & 0x00FF ) << 8 );

 if ( OLED_STATUS_SUCCESS != OLED_SendData( &dot, 2 ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }
 return OLED_STATUS_SUCCESS;
 }
}

static void SetBorders(uint8_t xCrd, uint8_t yCrd, uint8_t width, uint8_t height)
{
 uint8_t oledStatus;
 xCrd += OLED_COLUMN_OFFSET;
 yCrd += OLED_ROW_OFFSET;

 while (1)
 {
 oledStatus = OLED_STATUS_SUCCESS;

 oledStatus |= OLED_SendCmd( OLED_CMD_SET_COLUMN, FIRST_BYTE );
 oledStatus |= OLED_SendCmd( xCrd, OTHER_BYTE );
 oledStatus |= OLED_SendCmd( xCrd + (width-1), OTHER_BYTE );
 oledStatus |= OLED_SendCmd( OLED_CMD_SET_ROW, FIRST_BYTE );
 oledStatus |= OLED_SendCmd( yCrd, OTHER_BYTE );
 oledStatus |= OLED_SendCmd( yCrd + (height-1), OTHER_BYTE );

 if ( OLED_STATUS_SUCCESS == oledStatus)
 {
 break;
 }
 }
}


static void OLED_Swap(uint16_t* imgDst,const uint8_t* imgSrc,uint16_t imgSize)
{
 uint32_t var;
 for (var = 0; var < imgSize; var++)
 {
 *imgDst = *imgSrc << 8;
 imgSrc++;
 *imgDst |= *imgSrc;
 imgDst++;
 imgSrc++;
 }
}


void OLED_GetImageDimensions(uint8_t *width, uint8_t *height, const uint8_t* image)
{
 *height = image[2] + (image[3] << 8);
 *width = image[4] + (image[5] << 8);
}


uint8_t OLED_DrawImage (const uint8_t* image, uint8_t xCrd, uint8_t yCrd)
{
 uint8_t status = OLED_STATUS_SUCCESS;
 uint8_t *ptr;
 uint16_t width;
 uint16_t height;

 ptr = image;

 ptr += 2;
 height = *ptr;
 ptr++;
 height += (*ptr) << 8;

 ptr++;
 width = *ptr;
 ptr++;
 width += (*ptr)<<8;

 if (0 != ((( xCrd + width - 1 ) > OLED_SCREEN_WIDTH ) || ( xCrd < 0 ) || ( ( yCrd + height - 1 ) > OLED_SCREEN_HEIGHT ) || ( yCrd < 0 )))
 {
 status = OLED_STATUS_INIT_ERROR;
 }
 else
 {
 OLED_Swap( screenBuf, image + 6 , width * height );
 }

 SetBorders( xCrd, yCrd, width, height );
 if ( OLED_STATUS_SUCCESS != OLED_SendData( screenBuf, width * height * OLED_BYTES_PER_PIXEL ) )
 {
 return OLED_STATUS_PROTOCOL_ERROR;
 }

 return OLED_STATUS_SUCCESS;
}

void OLED_SetFont(const uint8_t *activeFont, uint16_t font_color, uint8_t font_orientation)
{
 _font = activeFont;
 _fontFirstChar = activeFont[2] + (activeFont[3] << 8);
 _fontLastChar = activeFont[4] + (activeFont[5] << 8);
 _fontHeight = activeFont[6];

 FontColor = font_color;
 FontOrientation = font_orientation;
 FontInitialized = 1;
 ExternalFontSet = 0;
}

void OLED_WriteText(uint8_t *text, uint16_t x, uint16_t y)
{
 uint16_t i;

 if (x >= OLED_SCREEN_WIDTH)
 {
 return;
 }
 if (y >= OLED_SCREEN_HEIGHT)
 {
 return;
 }

 i = 0;
 OLED_MoveCursor(x, y);
 while (text[i])
 {
 OLED_WriteChar(text[i++]);
 }
}
static void OLED_MoveCursor(uint16_t _x, uint16_t _y)
{
 x_cord = _x;
 y_cord = _y;
}

static void OLED_WriteChar(uint16_t ch)
{
 uint8_t chWidth = 0;
 uint8_t xCnt;
 uint8_t yCnt;
 uint16_t x = 0;
 uint16_t y;
 uint8_t temp = 0;
 uint8_t mask;
 uint32_t offset;
 const uint8_t *pChTable;
 const uint8_t *pChBitMap;
 uint16_t tmp;

 if(FontInitialized == 0)
 {
 OLED_SetFont(guiFont_Tahoma_8_Regular, OLED_COLOR_BLACK, FO_HORIZONTAL);
 FontInitialized = 1;
 }

 if (ch < _fontFirstChar)
 {
 return;
 }
 if (ch > _fontLastChar)
 {
 return;
 }

 offset = 0;
 tmp = (ch - _fontFirstChar) << 2;
 pChTable = _font + 8 + tmp;
 chWidth = *pChTable;

 offset = (uint32_t) pChTable[1] + ((uint32_t)pChTable[2] << 8) + ((uint32_t)pChTable[3] << 16);
 pChBitMap = _font + offset;

 if (((FontOrientation == FO_HORIZONTAL) || (FontOrientation == FO_VERTICAL_COLUMN)) != 0)
 {
 y = y_cord;
 for (yCnt = 0; yCnt < _fontHeight; yCnt++)
 {
 x = x_cord;
 mask = 0;
 for (xCnt = 0; xCnt < chWidth; xCnt++)
 {
 if (mask == 0)
 {
 temp = *(pChBitMap++);
 mask = 0x01;
 }

 if ((temp & mask) != 0)
 {
 OLED_DrawPixel(x, y, FontColor);
 }

 x++;
 mask <<= 1;
 }
 y++;
 }
 if (FontOrientation == FO_HORIZONTAL)
 {
 x_cord = x + 1;
 }
 else
 {
 y_cord = y;
 }
 }
 else
 {
 y = x_cord;
 for (yCnt = 0; yCnt < _fontHeight; yCnt++)
 {
 x = y_cord;
 mask = 0;
 for (xCnt = 0; xCnt < chWidth; xCnt++)
 {
 if (mask == 0)
 {
 temp = *(pChBitMap++);
 mask = 0x01;
 }

 if (temp & mask)
 {
 OLED_DrawPixel(y, x, FontColor);
 }

 x--;
 mask <<= 1;
 }

 y++;
 }
 y_cord = x - 1;
 }
}
